2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove unused variables.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.6 ===

	* NEWS:
	* src/Makefile.am:

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Update credits.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Set default prefs for warn-on-mixed-security pages. Part of bug
	#309088.

2005-08-28  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-history.c: (ephy_history_class_init),
	(internal_get_host), (ephy_history_get_host),
	(ephy_history_add_host), (ephy_history_add_page), (impl_add_page):
	* embed/ephy-history.h:
	* lib/ephy-marshal.list:

	Add an "add-page" signal to the EphyHistory object that can be
	used to block urls from appearing in the history. 

	Also make the ephy_history_get_host() function not create
	the EphyNode if it doesn't already exist.

2005-08-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (drag_stop), (grab_broken_event_cb),
	(grab_notify_cb), (toplevel_motion_notify_cb),
	(toplevel_button_release_cb), (drag_start), (motion_notify_cb),
	(move_tab_to_another_notebook), (button_release_cb),
	(button_press_cb):

	Fix pointer grab lockup when gecko pops up a dialogue.

2005-08-27  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:
	* embed/mozilla/Makefile.am:

	Add another workaround for the Gentoo header layout, and
	reference the gentoo bug in the configure script

2005-08-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	The focus fix isn't needed anymore for gecko >= 1.8.

2005-08-27  Crispin Flowerday  <gnome@flowerday.cx>

	* configure.ac:

	Add in the dom directory to the includes used for
	the configure checks. This is to help Gentoo, which
	uses an odd header layout.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_delete_event):

	Fix compile warnings.

2005-08-26  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Disable keyword searches by default. From bug #158486.

2005-08-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix configure check for gecko 1.7.

2005-08-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Gecko API change.

2005-08-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix configure check for gecko >= 1.8.

2005-08-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	Don't use nsIURI::SetPassword, since it asserts when username
	is empty. Use GetUsername, SetUserPass instead.

2005-08-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GlobalHistory.cpp:

	Remove check for redirected URL. Fixes bug #313756.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_update_file_monitor):

	Fix the check for unchanged address to check if we even
	have a monitor at all. Fixes auto-reload on a file:// URI
	loaded after a blank page.
	Also modify the 'is local' check to just check for
	file:// prefix on URI.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_open):

	Don't empty find entry on Ctrl-F.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.5 ===

	* NEWS:

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* embed/mozilla/mozilla-embed-single.cpp:

	Don't use ext handler for ftp://.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_launch_handler):

	Change a g_return_if_fail into a regular return.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_delete_event),
	(ephy_window_class_init), (ephy_window_init):

	Use class closure for delete event instead of signal handler.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_sync_label):

	Use strlen, not hardcoded length.

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_finalize):

	Fix mem leak.

2005-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.h:
	* embed/mozilla/mozilla-embed-persist.cpp:

	Add EPHY_EMBED_PERSIST_FROM_CACHE, and try harder to get a cache
	descriptor for the source URL.

	* src/popup-commands.c: (save_property_url),
	(popup_cmd_set_image_as_background), (save_temp_source):

	Use EPHY_EMBED_PERSIST_FROM_CACHE to try to get the content from
	cache when saving background, images or links. Part of bug #168554.

2005-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_loading_title),

	Better fix: reorder again and use priv->title for
	the set_loading_title call after the set_title call.

2005-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	QI the element to check whether it's of some type,
	don't check the tag.

2005-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_title_cb):

	Use ephy_tab_set_title after ephy_tab_set_loading_title
	because set_title consumes the char* argument!
	Fixes invalid UTF-8 warnings.

2005-08-17  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix --disable-focus-fix and --disable-psm configure args.

2005-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (entry_activate_cb),
	(ephy_find_toolbar_open):

	Only activate link in typeahead mode, not in Ctrl-F find mode.

2005-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyFind.cpp:

	Return TRUE if the event was consumed.

	* embed/mozilla/mozilla-embed-single.cpp:

	More redundant code.

2005-08-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-find.c: (ephy_embed_find_activate_link):
	* embed/ephy-embed-find.h:
	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:
	* embed/mozilla/mozilla-embed-find.cpp:

	Activate the found link with a faked keypress event.

	* src/ephy-find-toolbar.c: (tab_search_key_press_cb),
	(entry_key_press_event_cb), (entry_activate_cb),
	(ephy_find_toolbar_set_embed), (ephy_find_toolbar_open),
	(ephy_find_toolbar_close):

	On enter, activate the found link instead of finding the next
	occurrence.
	Always really give focus to the find bar, instead of faking
	keypresses in the find bar entry while focusing the embed.
	Fixes bug #307216, bug #311985, bug #312419, bug #312367,
	bug #311929.

2005-08-15  Christian Persch  <chpe@cvs.gnome.org>

	* data/GNOME_Epiphany_Automation.server.in:

	Remove "-s" argument which hasn't been supported for ages.

	* data/mime-types-permissions.xml:

	Add more mime types.

	* lib/ephy-gui.c: (ephy_gui_menu_position_under_widget),
	(ephy_gui_menu_position_on_toolbar):
	* lib/ephy-gui.h:

	Improve menu positioning on toolbar buttons.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Check that we're not trying to open in Epiphany itself!
	Fixes bug #310023.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get):

	Reject favicons that are < 12x12.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_download_row):

	Don't display (guint64)-1 as filesize if it's not known yet.
	Part of bug #313215.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Better gecko version check.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>
	
	* embed/mozilla/MozDownload.cpp:

	Work around mozilla bug
	https://bugzilla.mozilla.org/show_bug.cgi?id=304353 .
	Fixes bug #313215.

2005-08-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get):
	* lib/ephy-dnd.c: (ephy_dnd_drag_data_get):

	More gcc4 fixes.

2005-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-lockdown.c: (update_location_editable):
	* src/ephy-shell.c: (ephy_shell_new_tab_full):
	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_set_address),
	(ephy_tab_open_uri_cb), (ephy_tab_address_cb), (ensure_page_info),
	(ephy_tab_net_state_cb), (ephy_tab_init), (ephy_tab_get_address),
	(ephy_tab_get_typed_address), (ephy_tab_set_typed_address):
	* src/ephy-tab.h:
	* src/ephy-toolbar.c: (sync_user_input_cb):
	* src/epiphany.defs:

	Open new tabs with blank url bar if we're loading the homepage.
	Fixes bug #313012.

2005-08-10  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp (OnStateChange):

	Gecko send several STATE_STOP, but only the final one (completed)
	is of interest (STATE_STOP&STATE_IS_NETWORK).
	Fix crash with gecko 1.8 when downloading.

	* embed/mozilla/mozilla-embed.cpp:

	Fix compilation warning.

2005-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Warn if nsIPassword.h isn't found.

2005-08-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix configure checks for focus workaround.

2005-08-10  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-tab.c (ephy_tab_class_init): 

	Make a few properties to be writable (where there is appropriate code
	in the ephy_tab_set_property() function), and fix the 'icon' property
	to have the correct enum value.

2005-08-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	
	Fix a small grammar error in one of the download
	dialog string, with approval of i18n
	
2005-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_property):
	* src/ephy-tab.h:
	* src/epiphany.defs:

	Make tab icon address setter public.

2005-08-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-find-toolbar.c (ephy_find_toolbar_open): 

	When opening the find bar with Ctrl+F, search for
	the item, and select the text.

2005-08-09  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Typo fixes.

	* src/ephy-tab.c: (ephy_tab_net_state_cb):

	Removed favicon fallback code.

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.4 ===

	* NEWS:

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/ephy-toolbar.c: (ephy_toolbar_set_window):

	Tiny string fix just before string freeze :)

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get):

	Disable favicons from non-http URLs.

2005-08-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Fix build with gecko trunk.

2005-08-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Change the download/open dialog strings to include the
	mime-type and file name, bits of rewording too.

2005-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (icons_removed_cb),
	(remove_obsolete_icons), (delete_file),
	(ephy_favicon_cache_finalize), (ephy_favicon_cache_get),
	(ephy_favicon_cache_clear):
	* embed/ephy-favicon-cache.h:

	Add way to clear the favicon cache. Also removes any extraneous files
	from favicon cache directory. Fix a crash which I wonder why we never
	experienced it!

	* src/prefs-dialog.c: (prefs_clear_cache_button_clicked_cb):

	Also clear favicon cache when clearing the cache.

2005-08-07  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/mozilla/GtkNSSDialogs.cpp (ConfirmUnknownIssuer): 

	Change the text on the 'unknown issuer' dialog. 
	Fixes bug #151519

2005-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add switch to disable focus fix, and to disable PSM. Error out if
	PSM isn't found but --disable-psm not given. Should prevent accidental
	compilation without PSM.

	* lib/widgets/ephy-icon-entry.c: (ephy_icon_entry_get_entry):
	* lib/widgets/ephy-icon-entry.h:

	Add ephy_icon_entry_get_entry.

	* src/epiphany.defs:

	Updated python bindings.

2005-08-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_realize):

	Also block GtkMozEmbed's child focus-[in|out]-event handlers.

2005-08-06  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/mozilla/EphyBrowser.cpp (AttachListeners):

	Don't attach the scroll event listener twice.

2005-08-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (popup_menu_at_coords),
	(idle_unref_context_event), (set_context_event),
	(embed_popup_deactivate_cb), (get_name_from_address_value),
	(show_embed_popup), (ephy_window_dispose),
	(ephy_window_get_is_print_preview),
	(ephy_window_get_context_event):
	* src/ephy-window.h:
	* src/epiphany.defs:
	* src/popup-commands.c: (popup_cmd_link_in_new_window),
	(popup_cmd_link_in_new_tab), (popup_cmd_bookmark_link),
	(popup_cmd_copy_link_address), (save_property_url),
	(popup_cmd_open_link), (popup_cmd_set_image_as_background),
	(popup_cmd_copy_image_location), (popup_cmd_open_image):

	Add public function ephy_window_get_context_event() to get the
	EphyEmbedEvent for the current popup menu, instead of using an
	undocument g_object_get_data() call. Also fixes bug
	#310910.
	Don't printf NULL; fixes bug #309796.			

2005-08-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (pixbuf_cache_entry_free),
	(icons_added_cb), (cleanup_entry), (periodic_cleanup_cb),
	(ephy_favicon_cache_init), (ephy_favicon_cache_finalize),
	(ephy_favicon_cache_get):

	Keep pixbufs in cache instead of loading them over and over again.

2005-08-03  Christian Persch  <chpe@cvs.gnome.org>

        * lib/widgets/ephy-icon-entry.c: (ephy_icon_entry_get_borders):

	No need to add focus_width to borders anymore. Now we get the
	same height as a normal entry.

2005-08-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-icon-entry.c: (ephy_icon_entry_get_borders),
	(ephy_icon_entry_size_allocate):

	Use the entry's style's [xy]thickness, not our own.
	Fixes rendering with current Clearlooks engine.

2005-08-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/Makefile.am:
	A lib/widgets/testiconentry.c:
	A lib/widgets/ephy-icon-entry.c:
	A lib/widgets/ephy-icon-entry.h:

	New widget, looks like a GtkEntry with icons inside.

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_set_tooltip), (update_address_state),
	(match_selected_cb), (entry_clear_activate_cb),
	(entry_populate_popup_cb),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_set_completion),
	(ephy_location_entry_set_location),
	(ephy_location_entry_get_location), (ephy_location_entry_reset),
	(ephy_location_entry_activate), (ephy_location_entry_get_entry),
	(ephy_location_entry_set_show_lock):

	Use EphyIconEntry. Fixes location entry drawing with new GNOME default
	theme (Clearlooks), and should also fix drawing with all themes,
	except those which draw inside-focus on entries even when the entry
	has no frame.

2005-08-01  Crispin Flowerday  <gnome@flowerday.cx>

	* src/Makefile.am (epiphany.c):

	Pipe the output of the pygtk_codegen program straight to
	epiphany.c to fix timestamp handling, which caused make to
	run rules on every invocation.

2005-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-location-action.c: (get_location_cb):
	* src/ephy-session.c: (write_tab):
	* src/ephy-tab.c:
	* src/ephy-window.c: (modal_alert_cb):
	* src/prefs-dialog.c: (set_homepage_entry),
	(prefs_homepage_current_button_clicked_cb):
	* src/window-commands.c: (window_cmd_file_send_to),
	(window_cmd_file_bookmark_page), (window_cmd_view_page_source):

	Now that the tab's address is always correct (isn't the typed address
	anymore), always use ephy_tab_get_address instead of
	ephy_embed_get_location, since the former also gets the right address
	when the page loading but still blank. Should fix bug #147840.

2005-08-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-location-action.c: (sync_icon),
	(ephy_location_action_set_property),
	(ephy_location_action_get_property),
	(ephy_location_action_class_init), (ephy_location_action_init),
	(ephy_location_action_finalize):
	* src/ephy-notebook.c: (sync_icon):
	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_get_property),
	(ephy_tab_class_init), (ephy_tab_finalize), (ephy_tab_load_icon),
	(ephy_tab_icon_cache_changed_cb), (ephy_tab_set_icon_address),
	(ephy_tab_get_icon), (ephy_tab_init):
	* src/ephy-tab.h:
	* src/ephy-toolbar.c: (ephy_toolbar_set_favicon):
	* src/ephy-toolbar.h:
	* src/ephy-window.c: (sync_tab_icon):

	Add a ::icon property to EphyTab, and use that everywhere instead
	of querying the icon cache, thus saving memory.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Don't need this list of files leftover by scrollkeeper anymore
	since we distcheck with --disable-scrollkeepers.
	
2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.defs:

	Wrap EggToolbarsModel.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:
	* src/epiphany.defs:
	* src/epiphany.override:

	Wrap MozillaEmbedEvent, to prevent crash from bug #310910.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.defs:

	More bindings.

2005-07-31  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/epiphany.override: (_wrap_ephy_embed_event_get_coords):
	* embed/ephy-history.c:

	Fix gcc 4.0 warnings.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Update binding rules.

	* src/epiphany.defs:

	Fix crash on "window.get_bookmarksbar()".

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.defs:
	* src/epiphany.override:

	Fix crash on "window.get_toolbar()". Fixes bug #170105.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.defs:

	Update python bindings.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Fix string, and add Crispin to contributors in About.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:

	Fix location entry favicon updating.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Tiny string fix. Fixes bug #167448.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):
	* src/window-commands.c: (window_cmd_view_stop),
	(window_cmd_help_about):

	Update about dialogue.

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_default):
	* embed/ephy-embed-shell.h:

	Add ephy_embed_shell_get_default() analogous to
	ephy_shell_get_default().

2005-07-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_set_icon_address),
	(ephy_tab_set_fallback_icon_address), (ensure_page_info),
	(ephy_tab_net_state_cb):

	Fallback to favicon.ico. Fixes bug #116678.

2005-07-30  Christian Persch  <chpe@cvs.gnome.org>

        * lib/ephy-debug.c: (trap_handler):

	Allow set-but-empty EPHY_DEBUG_BREAK variable.

2005-07-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_load_config_from_file),
	(ephy_print_save_config_to_file):

	Make those more robust.

2005-07-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_realize):

	Count the blocked handlers and warn if it's not the expected numberr,
	so we know if our focos fix assumptions become invalid.

2005-07-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.c: (trap_handler), (ephy_debug_init):

	ALlow EPHY_DEBUG_BREAK even in non-debug builds.

2005-07-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_get_active_window):

	Make ephy_session_get_active_window work as intended.

	* src/prefs-dialog.c: (prefs_homepage_current_button_clicked_cb):

	Fix setting homepage to current page. Fixes bug #311962.

2005-07-29  Crispin Flowerday	<gnome@flowerday.cx>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_grab_focus),
	(ephy_find_toolbar_open), (ephy_find_toolbar_close):
	* src/ephy-shell.c: (ephy_shell_new_tab_full):
	* src/ephy-tab.c: (ephy_tab_grab_focus):
	* src/ephy-window.c: (ephy_window_key_press_event),
	(ephy_window_open_link):
	* src/window-commands.c: (window_cmd_go_back), (window_cmd_go_up),
	(window_cmd_go_forward), (window_cmd_view_stop),
	(window_cmd_view_reload):

	Replace ephy_embed_activate with gtk_widget_grab_focus

2005-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_get_tooltips),
	(ephy_statusbar_get_security_frame):
	* src/ephy-statusbar.h:

	Add accessor functions for those instead of relying
	on using the struct members directly.

2005-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Remove long description where it differed from the short
	description only by the period. Fixes bug #172230.

2005-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.defs:

	Update the python bindings too.

2005-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c:
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:

	Implement ::grab-focus and remove ephy_embed_activate ().

2005-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_new_tab_full):

	Realise the embed first before grabbing focus on it.

2005-07-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-python-extension.c: (impl_detach_tab),
	(impl_detach_window):
	* src/ephy-python-loader.c: (ephy_python_loader_finalize):
	* src/ephy-python.c: (ephy_python_init), (idle_shutdown),
	(ephy_python_shutdown), (idle_gc), (ephy_python_schedule_gc):
	* src/ephy-python.h:

	Be careful not to leave a GC scheduled when terminating python.

2005-07-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_open_link):

	For empty pages, put focus in address bar.

2005-07-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-shell.c: (url_is_empty), (load_homepage),
	(ephy_shell_new_tab_full):

	Work around gtkmozembed focus bug. Fixes bug #105153.

2005-07-27  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/EphyAboutModule.cpp:

	Fix proxy server settings string.

2005-07-27  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/EphyAboutModule.cpp:

	Fix google search URL to include www prefix.

2005-07-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Don't put the archive links on the unknownSocketType error message.

2005-07-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_sync_label):

	Only show the leaf name on bookmarksbar for hierarchical topics.

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.3 ===

	* NEWS:

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_verify_postscript):

	Primary text shouldn't have a period.

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-marshal.list:
	* src/bookmarks/ephy-bookmark-action.c: (open_in_tab_activate_cb),
	(open_in_window_activate_cb), (activate_cb):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_class_init),
	(impl_resolve_address), (ephy_bookmarks_resolve_address):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-topic-action.c: (menu_activate_cb),
	(open_in_tabs_activate_cb):
	* src/ephy-location-action.c: (action_activated_cb),
	(entry_activate_cb):
	* src/epiphany.defs:

	Unify bookmarks/smart bookmarks address resolution, and add a signal
	to EphyBookmarks for it.

2005-07-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (button_toggled_cb):

	Use connect_object to connect to the menu's deactivate
	signal. May fix bug #309918.

2005-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_finalize), (update_address_state),
	(update_favicon), (editable_changed_cb), (entry_button_press_cb),
	(match_selected_cb), (entry_key_press_cb),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_set_location), (ephy_location_entry_reset),
	(ephy_location_entry_set_favicon):
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-location-action.c: (entry_activate_cb),
	(user_changed_cb), (sync_address), (connect_proxy),
	(ephy_location_action_set_property),
	(ephy_location_action_finalize),
	(ephy_location_action_set_address):
	* src/ephy-location-action.h:
	* src/ephy-lockdown.c: (update_location_editable):
	* src/ephy-tab.c: (ephy_tab_get_typed_address):
	* src/ephy-toolbar.c: (ephy_toolbar_set_location):
	* src/ephy-toolbar.h:
	* src/ephy-window.c: (ephy_window_key_press_event),
	(sync_tab_address), (ephy_window_set_active_tab), (modal_alert_cb):
	* src/epiphany.defs:
	* src/window-commands.c: (window_cmd_view_stop):

	Fix ESC behaviour to always stop, and to reset the location entry
	when it's focused only. Reset the location entry favicon to the stock
	icon when the address shown is != the tab's address.
	When switching tab, preserve the selection if it was owned by the
	location entry. Fixes bug #155824.

2005-07-25  Martin Kretzschmar  <martink@gnome.org>

	* embed/print-dialog.c (using_pdf_printer): new function.
	(ephy_print_verify_postscript): print a less techy message if
	someone tries to print to PDF.

2005-07-25  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_file_launch_desktop_file):

	Don't crash in case the desktop file is not found.

2005-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_open_window):
	* embed/ephy-embed-single.h:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/MozillaPrivate.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Remove code to get the printer list, and fix a
	compile warning.

2005-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy):
	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu),
	(connect_proxy):

	Also ellipsise the menu entries in the toolbar overflow menu.

2005-07-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-lockdown.c: (update_location_editable):
	* src/ephy-shell.c: (ephy_shell_new_tab_full):
	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_get_property),
	(ephy_tab_class_init), (get_title_from_address),
	(ephy_tab_set_loading_title), (ephy_tab_set_address),
	(ephy_tab_set_load_status), (ephy_tab_get_load_status),
	(ephy_tab_open_uri_cb), (ephy_tab_address_cb),
	(ephy_tab_content_change_cb), (ephy_tab_zoom_changed_cb),
	(ephy_tab_title_cb), (ensure_page_info), (ephy_tab_net_state_cb),
	(ephy_tab_init), (ephy_tab_set_title), (ephy_tab_get_title),
	(ephy_tab_get_address), (ephy_tab_get_typed_address),
	(ephy_tab_set_typed_address):
	* src/ephy-tab.h:
	* src/ephy-toolbar.c: (sync_user_input_cb):
	* src/ephy-window.c: (sync_tab_typed_address), (sync_tab_title),
	(ephy_window_set_active_tab):
	* src/epiphany.defs:

	Set title of loading page to the address, iff the page was blank
	before. Fixes bug #115337 and bug #171622.

	* src/ephy-session.c: (ephy_session_close):
	
	In ephy_session_close(), close open dialogues first.

2005-07-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c
	* embed/mozilla/ContentHandler.cpp
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp

	Don't use format_secondary_markup here, it's a) unnecessary
	and b) doesn't do what we think it does.

2005-07-23  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Remove obsolete schema entries.

2005-07-22  Jürg Billeter  <j@bitron.ch>

	* configure.ac:
	* data/glade/print.glade:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/PrintingPromptService.h:
	* embed/print-dialog.c: (ephy_print_info_free),
	(ephy_print_load_config_from_file),
	(ephy_print_save_config_to_file), (ephy_print_get_print_info),
	(ephy_print_dialog_response_cb), (ephy_print_do_print_idle_cb),
	(ephy_print_do_print_and_free), (ephy_print_paper_selector_new),
	(ephy_print_dialog_construct_range_page), (ephy_print_dialog_new),
	(ephy_print_setup_dialog_new):
	* embed/print-dialog.h:
	
	Use libgnomeprintui for the printing dialog and the paper part of the
	printing setup dialog. Fixes bug #141241, bug #163255 and bug #301730.

2005-07-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Add rules to generate the raw python bindings .defs file,
	and to check that all headers are either used or ignored.

	* src/epiphany.defs:

	Reordered to make diffing against the autogenerated file
	simpler.

2005-07-20  Christian Persch  <chpe@cvs.gnome.org>

	* .cvsignore:
	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	* help/C/epiphany.xml:
	* help/Makefile.am:
	A help/epiphany.omf.in:
	R help/es/epiphany-es.omf:
	R help/es/epiphany.xml:
	* help/es/es.po:
	R help/es/legal.xml:
	R help/eu/epiphany-eu.omf:
	R help/eu/epiphany.xml:
	* help/eu/eu.po:
	R help/eu/legal.xml:
	R help/fi/epiphany-fi.omf:
	R help/fi/epiphany.xml:
	R help/fi/legal.xml:
	R help/ja/epiphany-ja.omf:
	R help/ja/epiphany.xml:
	* help/ja/ja.po:
	R help/ja/legal.xml:
	R help/uk/epiphany-uk.omf:
	R help/uk/epiphany.xml:
	R help/uk/legal.xml:

	Use gnome-doc-utils, and move existing translations over.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (get_option):

	Make sure the option is in the right option group.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (get_option),
	(ephy_bookmarks_get_smart_bookmark_width):

	Only allow alphanumeric option arguments, and limit length to 32
	characters at most. Use g_ascii_strtoull.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	A embed/mozilla/EphyAboutModule.cpp:
	A embed/mozilla/EphyAboutModule.h:
	R embed/mozilla/EphyProtocolHandler.cpp:
	R embed/mozilla/EphyProtocolHandler.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:
	* po/POTFILES.in:

	Yet another mozilla API change.

	* src/bookmarks/ephy-bookmarks.c:
	(ephy_bookmarks_get_smart_bookmark_width):

	Remove stray g_print, and clamp entry width to sane values.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c:

	Remove stray g_print.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Make sure we know about all mime types that totem can accept.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Use $^ in the default-prefs.js rule.

	* data/default-prefs-gecko-1.8.js:

	All these are already set by default, no need to repeat them.

2005-07-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_sync_smart_url):
	* src/bookmarks/ephy-bookmarks.c: (resolve_cb), (browse_cb),
	(ephy_bookmarks_init), (update_has_smart_address), (get_option),
	(ephy_bookmarks_solve_smart_url),
	(ephy_bookmarks_get_smart_bookmark_width):
	* src/bookmarks/ephy-bookmarks.h:

	Fix smart bookmark options parsing. Now encoding= really works,
	and added width= for bug #116709. Also fixes bug #132761.

2005-07-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb):

	Fix URL dragging to other tabs.

2005-07-13  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add application/rdf+xml to list of known mime types.

2005-07-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyProtocolHandler.cpp:

	Fix a couple of strings. Fixes bug #310196.

2005-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Remove the reload workaround, since the mozilla bug
	is fixed on all supported mozilla version.

2005-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Detect seamonkey trunk.

2005-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update min-versions for mozilla dependency.

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.2 ===

	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-window.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:
	* po/POTFILES.in:

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Remove checkbox from trust-CA dialogue. Fixes bug #168295.

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (prefs_dialog_init):

	Init the gettext domain.

2005-07-11  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (check_node_is_drag_source),
	(can_drag_selection), (button_release_cb), (motion_notify_cb):

	Check all selected nodes if they allow dragging.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu), (key_pressed_cb):

	Don't allow to delete or rename local sites, or to put them
	on the bookmarks bar.

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):

	Fix capitalisation.

2005-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node-common.h:
	* lib/ephy-node.c: (ephy_node_new_with_id),
	(ephy_node_signal_disconnect), (ephy_node_set_is_drag_source),
	(ephy_node_get_is_drag_source), (ephy_node_set_is_drag_dest),
	(ephy_node_get_is_drag_dest):
	* lib/ephy-node.h:
	* lib/widgets/ephy-node-view.c: (drag_motion_cb),
	(drag_data_received_cb):

	Implement a way to disallow dragging from resp. dropping on certain
	nodes.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu):
	* src/bookmarks/ephy-bookmarks.c: (save_filter),
	(save_filter_local), (ephy_bookmarks_save),
	(update_bookmark_keywords), (bookmark_is_categorized),
	(resolve_cb), (browse_cb), (ephy_local_bookmarks_init),
	(ephy_local_bookmarks_stop), (ephy_bookmarks_init),
	(ephy_bookmarks_finalize), (ephy_bookmarks_get_topic_uri),
	(ephy_bookmarks_find_keyword), (ephy_bookmarks_get_favorites),
	(ephy_bookmarks_get_local):
	* src/bookmarks/ephy-bookmarks.h:

	Implement "Local Sites" topic, filled with zeroconf-discovered
	bookmarks. Patch by Bastien Nocera, fixes bug #144969.

2005-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_prepare_close):

	Fix build with -Werror.

	* src/ephy-tab.c: (ephy_tab_dispose),
	(ephy_tab_file_monitor_cancel), (ephy_file_monitor_reload_cb),
	(ephy_tab_file_monitor_cb), (ephy_tab_update_file_monitor),
	(ephy_tab_address_cb):

	Monitor local files for changes and reload them if they do change.
	Fixes bug #300040; patch by Raphaël Slinckx.

2005-07-10  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/EphyProtocolHandler.cpp:
	
	Use contract IDs.

2005-07-10  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/EphyProtocolHandler.cpp:

	Add context to two strings.

2005-07-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyProtocolHandler.cpp:
	* embed/mozilla/EphyProtocolHandler.h:

	Improved design and wording of the error pages,
	and add links to google cache and internet archive
	where appropriate. Many thanks to mpt for his help!

2005-07-09  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (completion_func):

	Uppercase letters shouldn't breaks history autocompletion. 
	Fix Bug #308236.

2005-07-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (entry_changed_cb):

	If the string includes uppercase letters, search case-sensitively.

2005-07-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_close):

	Don't focus the embed on close on !typeaheadfind,
	since it's a crash. Fixes bug #307675.

2005-07-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyProtocolHandler.cpp:

	Make error page nicer; code by Adam Hooper.

2005-07-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-gecko-1-8.js:
	* embed/mozilla/EphyProtocolHandler.cpp:
	* embed/mozilla/EphyProtocolHandler.h:

	Error pages implementation. XHTML and CSS work by
	Adam Hooper, UI work by Piers Cornwell.

2005-07-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_save),
	(periodic_save_cb), (ephy_favicon_cache_init),
	(ephy_favicon_cache_finalize), (favicon_download_completed_cb),
	(favicon_download_cancelled_cb), (ephy_favicon_cache_get):

	Periodically save the favicon cache.

	* embed/ephy-history.c:

	Source ID is guint not int.

2005-07-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download),
	(ephy_favicon_cache_get):

	Rename favicons so they don't have extensions. Work around broken
	mime detection which cannot detect that a .ico file with HTML content
	is really no icon file.

2005-07-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (new_pixbuf_from_widget),
	(new_separator_pixbuf):

	Don't leak windows.

2005-07-07  Christian Persch  <chpe@cvs.gnome.org>  

	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Fix for mozilla API change.

2005-07-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Make scroll wheel zoom directions HIG compliant; fixes bug #306110.

2005-07-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/PrintingPromptService.cpp:

	There's no printer cmd line entry anymore, no need to 
	lock it down.

2005-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:

	Fix compiler warning.

2005-07-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (remove_download), (prepare_close_cb),
	(downloader_view_init), (downloader_view_finalize),
	(downloader_view_remove_download), (download_dialog_delete_cb):
	* embed/ephy-embed-shell.c: (ephy_embed_shell_prepare_close),
	(ephy_embed_shell_class_init):
	* embed/ephy-embed-shell.h:
	* embed/ephy-favicon-cache.c: (prepare_close_cb),
	(ephy_favicon_cache_init), (kill_download):
	* embed/mozilla/mozilla-embed-find.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:
	* src/ephy-session.c: (ephy_session_init), (ephy_session_dispose),
	(ephy_session_autoresume), (close_dialog), (ephy_session_close):
	* src/ephy-shell.c: (ephy_shell_startup), (toolwindow_hide_cb):
	* src/ephy-window.c: (ephy_window_finalize):

	Better fix for bug #151037 to make session shutdown work again.
	Also fix session shutdown while resuming, and preserve the session
	in this case.

2005-07-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/ephy-cookie-manager.h:

	EphyCookie's expires field is now of time_t type (fixes gcc 4.0 warning).

	* embed/ephy-favicon-cache.c:
	* lib/ephy-file-helpers.c:
	* lib/ephy-langs.c:
	* lib/ephy-node-db.c:
	* lib/ephy-node.c:
	* lib/ephy-state.c:
	* lib/egg/eggtraymanager.c:
	* src/ephy-extensions-manager.c:
	* src/ephy-main.c:
	* src/ephy-notebook.c:
	* src/ephy-session.c:
	* src/ephy-window.c:
	
	Fixes more signed/unsigned problems with gcc 4.0.

2005-07-01  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-navigation-action.c: (build_back_or_forward_menu),
	(build_up_menu), (select_menu_item_cb), (deselect_menu_item_cb),
	(ephy_navigation_action_set_property):

	Show URI in status bar when selecting Back/Forward/Up menu items.
	Fixes partly #161710.

2005-06-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add text/rtf.

2005-06-19  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c:

	Shift-Ctrl+R now works (Force reload). Fixes #307831.

2005-06-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* src/ephy-fullscreen-popup.c: (ephy_fullscreen_popup_constructor):
	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Don't show the image after gtk_button_set_image(). Fixes bug #307818.

2005-06-14  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed.c (ephy_embed_load_url):

	Point to the 'search_key_press' function int eh EphyEmbedIface
	rather than the context menu one

2005-06-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-ember-persist.cpp: (impl_to_string):

	Fix refcount leak.

2005-06-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Don't hold a ref to the shell from persist objects.

2005-06-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:
	* lib/ephy-object-helpers.c:
	* lib/ephy-object-helpers.h:

	Common helper function to unref a GObject from idle.
	
	* embed/downloader-view.c: (downloader_view_finalize):
	* embed/mozilla/mozilla-embed-find.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-extensions-manager.c: (unload_extension):
	* src/ephy-main.c: (main):
	* src/ephy-shell.c: (toolwindow_hide_cb):
	* src/ephy-window.c: (ephy_window_finalize):

	Always unref the shell from idle, never directly. That's because
	in case we hold the last reference, we would end up terminating
	embedding/XPCOM from a mozilla callback. Fixes bug #151037,
	and moz#236688.

2005-06-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:
	* src/ephy-window.h:
	* src/epiphany.defs:
	* src/window-commands.c: (window_cmd_edit_select_all),
	(window_cmd_edit_find):

	Handle Ctrl-F like / to open the find bar without focusing it.
	Fixes link activation while finding.

2005-06-07  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp: (file_is_compressed),
	(parse_extension):

	More constification.

2005-06-07  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp: (mozilla_embed_dom_key_press_cb):

	Unused var.

2005-06-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Require DBUS 0.34. Bug #306626.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dbus.c: (ephy_dbus_connect_to_system_bus),
	(ephy_dbus_connect_to_session_bus), (ephy_dbus_disconnect_bus):

	Fix compilation with DBUS 0.3x. Patch by Raphaël Slinckx, fixes bug
	#306565.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggtrayicon.c: (egg_tray_icon_manager_filter),
	(egg_tray_icon_update_manager_window),
	(egg_tray_icon_manager_window_destroyed), (egg_tray_icon_realize):

	Update from libegg.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-06-05  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.7.1 ===

	* Makefile.am:

	Add --enable-python to distcheck configure flags.

	* NEWS:
	* configure.ac:

	Updated for version 1.7.1.

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EventContext.cpp:

	Fix warnings.

	* src/ephy-extensions-manager.c: (get_loader_for_type),
	(load_extension):

	Fix --disable-python case.

	* src/Makefile.am:

	Fix make distcheck.

2005-06-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (tab_dom_mouse_click_cb),
	(ephy_find_toolbar_set_embed):

	Close find bar on mouse click in the embed.

2005-06-03  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Typo.

2005-06-03  Christian Persch  <chpe@cvs.gnome.org>

	Don't open search toolbar on / or ' over formfields:

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:

	New signal for searchable key presses.

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:

	Add static function to check if a keypress should be forwarded
	to the search toolbar.

	* embed/mozilla/mozilla-embed.cpp:

	Emit the signal here.

	* lib/ephy-marshal.list:
	* src/ephy-find-toolbar.c: (tab_search_key_press_cb),
	(ephy_find_toolbar_set_embed):

	Use the new signal instead of dom-key-press.

2005-06-02  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp: (EventContext::GetEventContext):

	Add code to handle area tags.
	Fix bug #152482

2005-06-02  Jean-François Rameau  <jframeau@cvs.gnome.org>
	
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/EphyUtils.cpp:

	nsEmbedString doesn't support Equals method. So add some bits
	to test two nsEmbedString.
	See https://bugzilla.mozilla.org/show_bug.cgi?id=296286

2005-06-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (drag_data_get_cb),
	(drag_data_received_cb):
	* lib/egg/egg-toolbar-editor.c: (drag_data_get_cb),
	(parse_item_list), (egg_toolbar_editor_load_actions):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_to_xml),
	(egg_toolbars_model_save), (parse_item_list), (parse_toolbars):
	* src/ephy-notebook.c:
	* src/ephy-window.c:

	Fix more signed/unsigned problems with gcc 4.0. Patch by Martin
	Kretzschmar, bug #306169.

2005-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Fix compile warning.

2005-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	Add scroll event listener, and change zoom on scroll+wheel events.

	* lib/ephy-zoom.c: (ephy_zoom_get_changed_zoom_level):
	* lib/ephy-zoom.h:

	Fix signed/unsigned integer problems (underflow).

2005-05-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_move_tab),
	(move_tab_to_another_notebook), (button_release_cb):
	* src/ephy-window.c: (update_tabs_menu_sensitivity):

	Work around mozilla bug
	https://bugzilla.mozilla.org/show_bug.cgi?id=296002 by disallowing
	tabs moves to a different window. Bug #303922.

2005-05-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Remove "Software Developers" checkbox from New CA dialogue.
	From bug #168295.

2005-05-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (tab_dom_key_press_cb),
	(ephy_find_toolbar_open):
	* src/ephy-find-toolbar.h:
	* src/ephy-window.c: (ephy_window_find):

	Don't erase the search term when opening the find bar with Ctrl-F.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (tab_dom_key_press_cb):

	Don't special-case ' and / if the find bar is already active.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (tab_dom_key_press_cb),
	(entry_activate_cb), (sync_print_preview_mode),
	(ephy_find_toolbar_set_window), (ephy_find_toolbar_get_property),
	(ephy_find_toolbar_set_property), (ephy_find_toolbar_class_init),
	(ephy_find_toolbar_new):
	* src/ephy-find-toolbar.h:
	* src/ephy-window.c: (ephy_window_init),
	(ephy_window_set_print_preview), (ephy_window_get_is_popup),
	(ephy_window_get_is_print_preview):
	* src/ephy-window.h:

	Deactivate typeaheadfind in print preview mode.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_set_embed),
	(ephy_find_toolbar_open):

	Only enable typeahead if we actually can do typeaheadfind.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (sync_tab_document_type):

	Allow ViewSource for XML documents too. Fixes bug #305788.

2005-05-29  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	Add warnings:
	  - when downloading to not writable directory,
	  - when downloading to not writable file (overwrite).
	Fixes bug #124236

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/epiphany.defs:

	Update python bindings.

2005-05-29  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* data/default-prefs-toolkit.js:

	Disable mozilla's typeaheadfind.

	* src/ephy-find-toolbar.c: (get_find), (send_focus_change),
	(tab_dom_key_press_cb), (entry_changed_cb),
	(entry_preedit_changed_cb), (entry_key_press_event_cb),
	(entry_activate_cb), (set_focus_cb),
	(ephy_find_toolbar_grab_focus), (ephy_find_toolbar_init),
	(ephy_find_toolbar_class_init), (ephy_find_toolbar_set_embed),
	(ephy_find_toolbar_find_previous), (ephy_find_toolbar_open),
	(ephy_find_toolbar_close):
	* src/ephy-find-toolbar.h:
	* src/ephy-window.c: (sync_tab_document_type), (ephy_window_init),
	(ephy_window_set_print_preview), (ephy_window_find):

	Forward key events from the embed to the find toolbar. That way we can
	typeaheadfind without losing focus.

2005-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for toolkit nsITypeAheadFind.

	* embed/Makefile.am:
	* embed/ephy-embed-factory.c: (ephy_embed_factory_new_object):
	* embed/ephy-embed-find.c: (ephy_embed_find_set_embed),
	(ephy_embed_find_set_properties), (ephy_embed_find_find),
	(ephy_embed_find_find_again), (ephy_embed_find_get_type):
	* embed/ephy-embed-find.h:
	* embed/ephy-embed.c:
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-find.cpp:
	* embed/mozilla/mozilla-embed-find.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/bookmarks/ephy-bookmarks-import.c:
	(gul_general_read_line_from_file):
	* src/ephy-find-toolbar.c: (get_find), (set_controls),
	(tab_content_changed_cb), (entry_changed_cb),
	(ephy_find_toolbar_init), (ephy_find_toolbar_finalize),
	(ephy_find_toolbar_class_init), (ephy_find_toolbar_new),
	(ephy_find_toolbar_get_text), (ephy_find_toolbar_set_embed),
	(ephy_find_toolbar_find_next), (ephy_find_toolbar_find_previous):
	* src/ephy-find-toolbar.h:
	* src/ephy-window.c: (ephy_window_set_active_tab),
	(ephy_window_init), (ephy_window_get_find_toolbar),
	(ephy_window_notebook_switch_page_cb):
	* src/ephy-window.h:
	* src/window-commands.c: (window_cmd_edit_find_next),
	(window_cmd_edit_find_prev):

	Implement typeaheadfind for the find toolbar.

2005-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c:
	(gul_general_read_line_from_file):

	Check return value of fgets.

2005-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:

	Add python libs when building with python bindings. Fixes bug #305767.

2005-05-28  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp: (impl_save):

	Get a temporary filename to save to only when needed.

2005-05-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for new DBUS API.
	
	* lib/ephy-dbus.c: (session_filter_func), (system_filter_func),
	(ephy_dbus_connect_to_system_bus),
	(ephy_dbus_connect_to_session_bus):

	Adapt to new DBUS API. Patch by Thom May, fixes bug #301153.

2005-05-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Automatically detect whether we have a mozilla debug build.

2005-05-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyProtocolHandler.cpp:
	* embed/mozilla/EphyProtocolHandler.h:

	Don't use (void).

2005-05-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyProtocolHandler.cpp:
	* embed/mozilla/EphyProtocolHandler.h:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:

	Add protocol handler, which I'll use for our custom error pages.
	Since it's almost gratis, add about:epiphany back.

2005-05-25  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Default to accept cookies from current site only, not from anywhere.

2005-05-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* embed/find-dialog.c:
	* embed/find-dialog.h:
	A src/ephy-find-toolbar.c:
	A src/ephy-find-toolbar.h:
	* src/ephy-window.c: (sync_tab_document_type),
	(tab_content_changed_cb), (ephy_window_set_active_tab),
	(ephy_window_dispose), (sync_find_toolbar_text_cb),
	(find_toolbar_find_next_cb), (find_toolbar_find_previous_cb),
	(find_toolbar_close_cb), (ephy_window_init),
	(ephy_window_notebook_switch_page_cb), (ephy_window_find):

	Replace the find dialogue with a find toolbar. Work in progress;
	no typeaheadfind yet.

2005-05-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	* data/default-prefs-gecko-1-8.js:

	Enable error pages on Gecko 1.8.

2005-05-23  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_new_window_cb):

	Windows opened from links are not always popups. Windows
	with menu bar toggled on are not considered as popups.
	#304992	

2005-05-22  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add check for h2def.

2005-05-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/epiphany-1.8.pc.in:

	Add features variable to the .pc file, so we can check
	for python and dbus from epiphany-extensions.

2005-05-21  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* configure.ac:
	A README.Python
	A m4/.cvsignore:
	A m4/python.m4:
	* src/Makefile.am:
	* src/ephy-extensions-manager.c: (get_loader_for_type):
	A src/ephy-python-extension.c:
 	A src/ephy-python-extension.h:
	A src/ephy-python-loader.c:
	A src/ephy-python-loader.h:
	A src/ephy-python.c:
	A src/ephy-python.h:
	A src/epiphany.defs:
	A src/epiphany.override:

	Merge Pyphany.

2005-05-15  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* data/check-mime.py:
	* data/mime-types-permissions.xml:

	Update mime type list.
	check-mime.py now catches aliases from freedesktop.org.xml mime type database.

2005-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	No need to have Init on the event listener classes, move that
	code to ctor.

2005-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/EphyBrowser.cpp:

	Drop support for mozilla < 1.7.5.

2005-05-14  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Just replace the check for broken reload by HAVE_GECKO_1_8.

2005-05-12  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/ephy-embed.h:
	* embed/ephy-embed.c:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EventContext.cpp:

	Add handling of DOMContentLoaded event from Gecko.
	It is an event that Gecko throws when the dom’s content is loaded,
	that is, before all the images and what not have loaded.

2005-05-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Add languages.h to NOINST_H_FILES.

2005-05-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Change string passed to gnome_program_init() as human readable
	program name.

2005-05-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EventContext.cpp:

	More trusted checks.

2005-05-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-lockdown.c:

	Constification.

2005-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:

	Slight performance improvements.

2005-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* src/ephy-tab.c: (ephy_tab_address_cb):

	Use the document's URL as tab address, not the info from the
	location changed signal.

2005-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Set MozDownload as progress listener on the web browser persist.

2005-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Use nsICancelable.

2005-05-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Use new way to add user agent info. Fixes bug #173000.

2005-05-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:

	Thanks to the fastback patch, we can now get the secure browser UI
	object from the docshell.

2005-05-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Fix the build from the last commit.

2005-05-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Use the web navigation to get the URI, not the document.
	Fixes bug #301044.

2005-05-01  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* data/epiphany.schemas.in:
	* lib/ephy-langs.c:
	A src/languages.h:
	* src/prefs-dialog.c: (prefs_dialog_show_help),
	(create_language_section), (get_download_button_label),
	(prefs_dialog_init):

	Add more font languages, and generate the language list
	from the unicode supplemental data.

	* lib/ephy-dialog.c:
	* lib/ephy-dialog.h:
	* src/prefs-dialog.c:
	* src/pdm-dialog.c:

	Constification.

2005-05-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/EphySidebar.h:
	* embed/mozilla/MozRegisterComponents.cpp:

	Simplify the class info implementation for EphySidebar.

2005-04-26  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (new_pixbuf_from_widget):

	Try to fix crash in toolbar editor with X composite extension. Should fix bug
	#159767, patch by Colin Gibbs from Control Centre bug #152490.

2005-04-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix filepicker check.

2005-04-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Ged rid of all API checks which check for 1.8-only API, and introduce
	a Gecko version check instead.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/mozilla-download.cpp:

	Fix for mozilla API change, and use the new HAVE_GECKO_1_8 define
	where appropriate.

2005-04-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_solve_smart_url):

	Replaces all %s in smartbookmarks. Fixes bug #167319, patch by
	Raphael Slinckx.

2005-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (create_dock):
	* lib/egg/egg-toolbar-editor.c: (editor_create_item),
	(update_editor_sheet):
	* lib/ephy-file-helpers.c: (ephy_file):
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_construct_contents):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_enable_drag_dest),
	(ephy_node_view_enable_drag_source):
	* lib/widgets/ephy-node-view.h:
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_set_window):
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/ephy-main.c:
	* src/ephy-notebook.c: (ephy_notebook_init),
	(ephy_notebook_add_tab):
	* src/ppview-toolbar.c:
	* src/window-commands.c: (window_cmd_help_about):

	More constification.

2005-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/ephy-langs.c: (ephy_langs_iso_3166_table):
	* src/prefs-dialog.c: (prefs_dialog_finalize),
	(get_name_for_lang_code), (setup_add_language_dialog),
	(create_language_section):

	Iso-codes is now mandatory.

2005-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu):
	* src/ephy-encoding-menu.c: (update_encoding_menu_cb):
	* src/ephy-history-window.c: (ephy_history_window_update_menu):
	* src/ephy-toolbar.c: (ephy_toolbar_set_zoom):
	* src/ephy-window.c: (update_edit_actions_sensitivity),
	(enable_edit_actions_sensitivity), (sync_tab_load_status),
	(sync_tab_zoom), (show_embed_popup),
	(update_tabs_menu_sensitivity):
	* src/ppview-toolbar.c: (toolbar_update_sensitivity):

	Use gtk_action_set_[sensitive|visible] instead of g_object_set.

2005-04-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-prefs.h:
	* src/Makefile.am:
	A src/ephy-action-helper.c:
	A src/ephy-action-helper.h:
	A src/ephy-lockdown.c: 
	A src/ephy-lockdown.h:
	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_lockdown), (ephy_shell_get_extensions_manager):
	* src/ephy-tab.c: (ephy_tab_set_location):
	* src/ephy-toolbar.c: (ephy_toolbar_set_window),
	(ephy_toolbar_set_navigation_actions), (ephy_toolbar_finalize):
	* src/ephy-window.c: (sync_tab_document_type),
	(sync_tab_navigation), (sync_tab_load_status), (show_embed_popup),
	(update_tabs_menu_sensitivity), (ephy_window_set_is_popup),
	(ephy_window_dispose), (ephy_window_state_event),
	(ephy_window_class_init), (ephy_window_init),
	(ephy_window_constructor):
	* src/popup-commands.c:

	Move lockdown from EphyWindow into an internal extension.

2005-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-persist.cpp:

	Fix crash on 64bit architectures when downloading.
	Fixes bug #301093, patch by Sjoerd Simons.

2005-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (setup_ui_manager):

	Constify the action entries. Fixes bug #301065, patch by
	Paolo Borelli.

2005-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_state_event),
	(ephy_window_class_init), (ephy_window_init):

	Hide the statusbar's resize grip when the window is maximised.
	Fixes bug #301048, patchy by Paolo Borelli.

2005-04-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_open_link):

	Also disallow opening a new tab from EphyLink iface in popup mode.

2005-04-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-automation.c:
	(impl_ephy_automation_loadUrlWithStartupId):
	* src/ephy-notebook.c: (ephy_notebook_set_dnd_enabled),
	(ephy_notebook_get_property), (ephy_notebook_set_property),
	(ephy_notebook_class_init), (move_tab_to_another_notebook),
	(button_press_cb), (ephy_notebook_init):
	* src/ephy-notebook.h:
	* src/ephy-session.c: (ephy_session_get_active_window):
	* src/ephy-shell.c: (ephy_shell_new_window_cb),
	(ephy_shell_new_tab_full), (ephy_shell_new_tab):
	* src/ephy-shell.h:
	* src/ephy-tab.c: (ephy_tab_class_init),
	(popups_manager_new_window_info), (ephy_tab_dispose),
	(ephy_tab_finalize), (let_me_resize_hack), (ephy_tab_set_size),
	(ephy_tab_init):
	* src/ephy-tab.h:
	* src/ephy-window.c: (get_chromes_visibility),
	(sync_chromes_visibility), (update_chromes_actions),
	(update_actions_sensitivity), (sync_tab_visibility),
	(show_embed_popup), (let_me_resize_hack), (tab_size_to_cb),
	(ephy_window_set_active_tab), (ephy_window_set_chrome),
	(ephy_window_set_is_popup), (ephy_window_dispose),
	(ephy_window_set_property), (ephy_window_get_property),
	(ephy_window_class_init), (ephy_window_init),
	(ephy_window_constructor), (ephy_window_new_with_chrome),
	(ephy_window_set_print_preview), (ephy_window_add_tab),
	(ephy_window_show), (ephy_window_view_popup_windows_cb),
	(ephy_window_get_is_popup):
	* src/ephy-window.h:

	Rework popup windows. Introduce "is-popup" property on EphyWindow to
	indicate a window who will only have one tab, and can be resized by 
	javascript calls. Fixes bug #136288 and #155395.

2005-04-17  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/mozilla-embed-persist.cpp:
	
        Add null check.
		
2005-04-17  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/ContentHandler.cpp:

	Mozilla API change.

2005-04-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Don't add libglade-2 twice to PKG_CHECK_MODULES. Fixes
	bug #300452, patch by James Henstridge.

2005-04-11  Christian Persch  <chpe@cvs.gnome.org>

        * data/mime-types-permissions.xml:
	
	Add 'video/mp4' to safe list.

2005-04-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_key_press_cb),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_get_location),
	(ephy_location_entry_restore_location):
	* lib/widgets/ephy-location-entry.h:

	Restore original URL when pressing ESC. Fixes bug #171179.

2005-04-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node-db.c: (ephy_node_db_get_property),
	(ephy_node_db_set_property), (ephy_node_db_finalize),
	(ephy_node_db_write_to_xml_safe), (ephy_node_db_class_init),
	(ephy_node_db_get_type):

	Remove unused function ephy_node_db_get_by_name(), and
	clean up a bit.

2005-04-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_constructor):

	Re-use the strings from control centre domain, to make it consistent
	automatically.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (format_interval),
	(update_download_row):
	* embed/ephy-download.c: (update_remaining_time),
	(ephy_download_get_remaining_time):
	* embed/ephy-download.h:
	* embed/mozilla/mozilla-download.cpp:

	More changes for 64bit downloads.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/mozilla-download.h:

	Don't use G_BEGIN/END_DECLS here, and don't include MozDownload.h.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	InitForEmbed isn't a NS_IMETHOD, so don't use NS_IMETHODIMP here.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.c: (ephy_cookie_manager_base_init):
	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-history.c: (ephy_history_class_init):
	* embed/ephy-permission-manager.c:
	(ephy_permission_manager_base_init):

	Add G_SIGNAL_TYPE_STATIC_SCOPE to many signals.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_finalize):
	* embed/ephy-history.c: (save_filter), (ephy_history_save):
	* lib/ephy-node-db.c: (ephy_node_db_write_to_xml_valist):
	* lib/ephy-node.h:
	* lib/ephy-state.c: (ephy_states_save):
	* src/bookmarks/ephy-bookmarks.c: (save_filter),
	(ephy_bookmarks_save):

	Implement a more flexible approach at saving a EphyNodeDb, by allowing
	to specify a filter func to exclude certain nodes, instead of a fixed
	list.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* lib/ephy-marshal.list:

	Emit signal when encountering alternate links. Fixes bug #171657.

2005-04-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_set_property),
	(ephy_embed_persist_get_property):

	Use get/set_int64.

2005-04-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/downloader-view.c: (update_download_row):
	* embed/ephy-download.c:
	* embed/ephy-download.h:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_set_max_size),
	(ephy_embed_persist_set_property),
	(ephy_embed_persist_get_property), (ephy_embed_persist_class_init):
	* embed/ephy-embed-persist.h:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/EphyHistoryListener.cpp:
	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/FilePicker.h:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:

	Fix for MOZILLA_INTERNAL_API change, and for 64bit downloader change.

2005-03-31  Christian Persch  <chpe@cvs.gnome.org>

        * data/mime-types-permissions.xml:
	
        Update mime type list. Fixes bug #170493; patch by Jean-François Rameau.

2005-03-25  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* data/check-mime.py

	Set the script directly executable.
	Fix problem with args.
	Add a message if no arg is supplied.

2005-03-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Treat unknown mime types as 'unsafe'. Patch by Jean-François Rameau,
	part of bug #170493.

2005-03-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Fix stupid typos. Fixes bug #171197; thanks to Jean-François Rameau
	for finding the cause.

2005-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove change not indended for commit.

2005-03-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/ContentHandler.cpp:

	Oh the joys of mozilla API changes :P

2005-03-15  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-toolkit.js:

	Default to links only with the fixed-up typeaheadfind too.

2005-03-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (build_tab_label):

	Set the tab label to single-line mode. Fixes bug #167657.

2005-03-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (setup_multimedia_key_actions):

	Fix the build.

2005-03-14  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c: (ephy_window_key_press_event),
	(setup_multimedia_key_actions), (setup_ui_manager):
	* src/window-commands.c: (window_cmd_go_home):
	* src/window-commands.h:

	Support "Multimedia" keys. Fixes bug #162748.

2005-03-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (tab_added_cb):

	Use connect_object, to guard against "title" signal emitted
	when the window is dying. Fixes bug #169833.

2005-03-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (tab_removed_cb):

	Fix signal handler disconnection; bug #170353.

2005-03-14  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_is_middle_click):
	* lib/ephy-gui.h:
	* lib/widgets/ephy-node-view.c: (ephy_node_view_key_press_cb),
	(ephy_node_view_add_column), (ephy_node_view_init):

	Remove custom search, and use gtktreeview typeaheadfind. Fixes bug
	#118107.

2005-03-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/Makefile.am:

	Also search nsIPassword.h in unusual places.

2005-03-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_file_print_setup),
	(window_cmd_edit_personal_data), (window_cmd_edit_prefs):

	Don't force those dialogues to be in front.

2005-03-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar.c: (ephy_toolbar_activate_location):

	Revert patch from bug #169956, it's not correct.

	* src/ephy-window.c: (sync_chromes_visibility):

	Fix a crash on window close with active toolbar activation.

2005-03-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-toolbar.c: (ephy_toolbar_activate_location):

	Don't activate the location entry if it's hidden. Fixes bug #169956.

2005-03-11  Christian Persch  <chpe@cvs.gnome.org>

        * data/default-prefs-toolkit.js:
	
	Disable automatic image resizing on toolkit too.

2005-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/MozillaPrivate.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Remove the wallet hack; it appears not to work correctly
	using mozilla 1.7 (work on trunk; but that's dead).

2005-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Prefer firefox over mozilla libraries.

2005-03-09  Christian Persch  <chpe@cvs.gnome.org>

        * configure.ac:
        * lib/ephy-file-helpers.c:
        (my_gdk_spawn_make_environment_for_screen), (sn_error_trap_push),
        (sn_error_trap_pop), (make_spawn_environment_for_sn_context),
        (free_startup_timeout),	(startup_timeout), (add_startup_timeout),
        (ephy_file_launch_application),	(ephy_file_launch_desktop_file):

	Use libstartup-notification, not gnome-desktop to launch apps.
	Fixes bug #169039.

2005-03-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/Makefile.am:
	* data/epiphany-1.6.pc.in:
	* data/epiphany-1.8.pc.in:
	* doc/reference/tmpl/ephy-embed.sgml:
	* embed/Makefile.am:
	* lib/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Version 1.7.0.

2005-03-07  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.6.0 ===

	* NEWS:
	* configure.ac:

2005-03-01  Christian Persch  <chpe@cvs.gnome.org>

	* help/C/figures/ephy-addressbar-smartbookmark-screenshot.png:
	* help/C/figures/ephy-bookmarkbar-smartbookmark-screenshot.png:
	* help/C/figures/ephy-history-window-screenshot.png:
	* help/C/figures/ephy-screenshot.png:

	Update screenshots. Fixes bug #165839.

2005-03-01  Maxim V. Dziumanenko <mvd@mylinux.com.ua>

	* configure.ac:
	* help/Makefile.am:
	* help/uk/Makefile.am:
	* help/uk/epiphany-uk.omf:
	* help/uk/epiphany.xml:
	* help/uk/uk.po:
	* help/uk/figures/ephy-addressbar-smartbookmark-screenshot.png:
	* help/uk/figures/ephy-bookmarkbar-smartbookmark-screenshot.png:
	* help/uk/figures/ephy-history-window-screenshot.png:
	* help/uk/figures/ephy-screenshot.png:
	* help/uk/legal.xml:

	Updated Ukrainian translation of the manual.

2005-02-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-02-28  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.8 ===

	* NEWS:

2005-02-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	NULL check. Fixes bug #165999.

	* src/ephy-main.c: (slowly_and_stupidly_obtain_timestamp), (main):

	Try to get an approximation to the launch time if DESKTOP_STARTUP_ID
	is not set. Fixes bug #168820, patch by Elijah Newren.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.7 ===

	* doc/reference/Makefile.am:
	* doc/reference/tmpl/ephy-embed.sgml:

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c:

	Remove unused includes.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 1.5.7.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/eel-gconf-extensions.c: (tilde_compress):

	Fix compress_tilde to only look at the prefix, and not
	substitute in the middle.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Try to fix the build with 1.7 branch.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-event.h:
	* embed/mozilla/EventContext.cpp:

	Check for password inputs too.

2005-02-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get):

	Check the favicon file type and only allow ico, gif & png.
	Fixes bug #163886.

2005-02-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Don't assert if we don't have a new embed in new_window callback.
	Part of bug #165445.

2005-02-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_folder):

	Make sure folder is != NULL. Fixes bug #163341.

2005-02-26  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Depend on gnome-desktop for gnome-desktop-item,
	and up the gnome-vfs dependency version.

	* embed/ephy-embed-persist.c: (ephy_embed_persist_set_user_time),
	(ephy_embed_persist_get_user_time),
	(ephy_embed_persist_set_property),
	(ephy_embed_persist_get_property), (ephy_embed_persist_init),
	(ephy_embed_persist_class_init):
	* embed/ephy-embed-persist.h:

	Add user time property.

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	Forward user time to MozDownload via a string. Not perfect,
	but better than nothing.

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Set user time on filechooser.

	* embed/mozilla/MozDownload.cpp:

	Get user time from content handler, and use it when
	launching the external handler app.

	* lib/ephy-file-helpers.c: (ephy_file_check_mime),
	(launch_desktop_item), (ephy_file_launch_desktop_file),
	(ephy_file_launch_application), (ephy_file_launch_handler):
	* lib/ephy-file-helpers.h:

	Convenience functions to launch an app, or a desktop item,
	with user time.

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file),
	(ephy_gui_window_update_user_time), (ephy_gui_window_present):
	* lib/ephy-gui.h:

	Make our own gtk_window_present, to correctly update user time.
	Check if the path is writable in ephy_gui_confirm_overwrite_file().

	* src/ephy-session.c: (ephy_session_autoresume):

	After showing the recovery dialogue, don't use the old user time
	to launch the windows; use the current event time instead.

	* src/popup-commands.c: (background_download_completed),
	(image_open_uri), (save_source_completed_cb),
	(popup_cmd_open_image):
	* src/window-commands.c: (window_cmd_file_save_as),
	(save_source_completed_cb), (save_temp_source),
	(window_cmd_view_page_source):

	Launch handlers with user time.

2005-02-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-link.c: (ephy_link_base_init):

	Make the signal RUN_LAST.

	* src/ephy-tab.c: (ephy_tab_get_type), (open_link_in_new_tab),
	(clipboard_text_received_cb):

	Make EphyTab implement EphyLink interface.

	* src/ephy-window.c: (modal_alert_cb), (tab_added_cb),
	(tab_removed_cb), (ephy_window_open_link):

	Attach to link signal on EphyTab.
	Don't switch tabs to modal alerts in ppv mode; block the alerts
	instead.

2005-02-23  Carlos Garnacho Parro  <carlos@gnome.org>

	* src/ephy-session.c: don't activate startup notification with the
	"previous session has crashed" dialog

2005-02-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (update_fixed):

	Unset size request if the fixed toolbar is present. That way
	we don't truncate the 0th toolbar when it only contains the spinner.

2005-02-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_removed_cb):

	Unparent the fixed toolbar before destroying the dock.

2005-02-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-fullscreen-popup.c:
	(ephy_fullscreen_popup_update_visibility),
	(ephy_fullscreen_popup_constructor):

	Use spacing instead of a separator.

2005-02-22  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-toolkit.js:

	Autostart typeaheadfind.

2005-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Use $PKG_CONFIG.

2005-02-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_new_tab_full):

	Load the page after showing the window. That way, if mozilla throws up
	an alert, the window is already there.

2005-02-20  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (drag_start), (motion_notify_cb),
	(move_tab_to_another_notebook), (button_release_cb):

	Use event time when grabbing the pointer. Appears to fix bug #167473.

2005-02-18  Xan Lopez  <xan@gnome.org>

	* src/ephy-session.c: (impl_attach_window), (write_ephy_window),
	(restore_geometry), (ephy_session_load):
	
	Fix #130990 "Mixing up workspaces of windows when restoring session".
	Commited patch referenced in bug with slight modifications to make it
	work properly.

2005-02-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* embed/ephy-embed-single.h:
	* embed/mozilla/EphySidebar.cpp:
	* lib/ephy-marshal.list:

	Emit a signal in EphySidebar::AddSearchEngine.

2005-02-13  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggstatusicon.c: (egg_status_icon_init),
	(egg_status_icon_finalize):

	Keep a ref on the tray icon. Should fix bug #166143.

2005-02-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tabs-menu.c: (tab_added_cb), (tab_removed_cb),
	(sync_active_tab):

	Fix initial active tab.

2005-02-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/MozillaPrivate.h:
	* embed/mozilla/mozilla-embed-single.cpp:

	Move wallet code to MozillaPrivate since nsIWalletService.h includes
	nsString.h in older mozilla versions.

2005-02-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add check for nsIWalletService.h.

	* embed/mozilla/mozilla-embed-single.cpp:

	Make sure the wallet store is secured.

2005-02-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_finalize), (ephy_tab_title_cb),
	(ensure_page_info), (ephy_tab_init), (ephy_tab_set_title),
	(ephy_tab_get_title), (ephy_tab_get_zoom):
	* src/ephy-tab.h:
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_get_type),
	(tab_action_activate_cb), (sync_tab_title), (tab_added_cb),
	(tab_removed_cb), (tabs_reordered_cb), (sync_active_tab),
	(ephy_tabs_menu_set_window), (ephy_tabs_menu_set_property),
	(ephy_tabs_menu_get_property), (ephy_tabs_menu_class_init),
	(ephy_tabs_menu_clean), (tab_set_action_accelerator),
	(ephy_tabs_menu_update):
	* src/ephy-window.c: (ephy_window_set_active_tab),
	(ephy_window_get_active_embed):

	Remove ephy_tab_get_action(). Adapts the tabs menu accordingly.

2005-02-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_dispose),
	(ephy_window_class_init), (ephy_window_finalize):

	Move all the stuff from finalize to dispose, so that
	we finalise the UI manager when disposing and not only
	when finalising. Fixes bug #165992.

2005-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_toolbars_model):
	* src/ephy-toolbars-model.c: (update_flags),
	(update_flags_and_save_changes), (get_toolbar_style),
	(toolbar_style_notifier), (ephy_toolbars_model_init),
	(ephy_toolbars_model_finalize):

	Move style notifier to ephy-toolbars-model, and also apply
	the flags to newly added toolbars.

2005-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Implement nsIWebProgressListener. Fixes bug #165328.

2005-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Dist po/LINGUAS.

2005-02-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	A po/LINGUAS:

	Get list of languages from po/LINGUAS.

2005-02-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-02-08  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.6 ===

	* Makefile.am:
	* configure.ac:
	* doc/reference/tmpl/ephy-embed.sgml:

2005-02-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp:

	Fix for mozilla API change.

2005-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Use 'true'/'false' for bool keys, not 1/0.

2005-02-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_class_init), (lock_button_press_event_cb),
	(ephy_location_entry_construct_contents):

	Don't set the lock icon as drag source. Actually emit the lock-clicked
	signal when pressed.

	* lib/widgets/ephy-location-entry.h:
	* src/ephy-location-action.c: (lock_clicked_cb), (connect_proxy),
	(ephy_location_action_class_init):
	* src/ephy-location-action.h:
	* src/ephy-toolbar.c: (lock_clicked_cb), (ephy_toolbar_set_window):

	Actually forward the lock-clicked signal to the toolbar.

2005-02-04  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* lib/ephy-dbus.c: (ephy_dbus_connect_to_system_bus,
	ephy_dbus_connect_to_session_bus):

	We don't want Epiphany to exit when DBUS restarts.

	* lib/ephy-dbus.c: (ephy_dbus_connect_to_system_bus_cb):

	Bug: bad test.

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-lockdown.schemas.in:

	Revert the schema change too.

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (sync_chromes_visibility), (setup_ui_manager),
	(ephy_window_set_print_preview):

	Revert the fix for bug #165550, it wasn't correct.

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Don't copy params with the email address. Fixes bug #144469.

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-automation.c:
	(impl_ephy_automation_loadUrlWithStartupId):
	* src/ephy-shell.c: (ephy_shell_new_window_cb),
	(ephy_shell_new_tab_full), (ephy_shell_new_tab):
	* src/ephy-shell.h:

	Add chrome param to ephy_shell_new_tab_full, and use it
	in ephy_shell_new_window_cb(). Fixes bug #165566.

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_set_fc_parent),
	(ephy_embed_persist_finalize):

	Weak ref the parent window.

2005-02-02  Christian Persch  <chpe@cvs.gnome.org>

	* idl/EphyAutomation.idl:

	Define variants with startup ID.

	* lib/ephy-gui.c: (ephy_gui_window_update_user_time):
	* lib/ephy-gui.h:
	* src/bookmarks/ephy-bookmarks.c: (redirect_cb):
	* src/ephy-automation.c:
	(impl_ephy_automation_loadUrlWithStartupId),
	(impl_ephy_automation_loadurl), (impl_ephy_automation_addBookmark),
	(impl_ephy_automation_importBookmarks),
	(impl_ephy_automation_loadSessionWithStartupId),
	(impl_ephy_automation_loadSession),
	(impl_ephy_automation_openBookmarksEditorWithStartupId),
	(impl_ephy_automation_openBookmarksEditor),
	(ephy_automation_class_init):
	* src/ephy-main.c: (get_startup_id), (main):
	* src/ephy-session.c: (offer_to_resume), (ephy_session_autoresume),
	(ephy_session_load):
	* src/ephy-session.h:
	* src/ephy-shell.c: (open_urls), (ephy_shell_startup),
	(ephy_shell_new_tab_full), (ephy_shell_new_tab):
	* src/ephy-shell.h:

	Implement startup ID forwarding to the already-running ephy instance.
	Part of bug #150085.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-lockdown.schemas.in:
	* src/ephy-window.c: (sync_chromes_visibility), (setup_ui_manager),
	(ephy_window_set_print_preview):

	Remove the accel group from the window when hiding the menubar
	in lockdown mode. From bug #165550.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (toolbar_style_notifier):

	Plug a mem leak.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* data/default-prefs-toolkit.js:

	Back out the patch from bug #141963 since it caused bug #165811.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):

	Don't assign to ephy_shell global variable, that's already done
	in its constructor.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_print_actions):

	Don't disable print preview if print setup is locked down.
	Fixes bug #165552.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_key_press_event):

	Don't show the menubar with F10 in lockdown mode.
	Make sure we always chain up to GtkWindow's keypress handler.
	Fixes bug #165550.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):
	* src/ephy-shell.c: (ephy_shell_finalize):

	Don't weak ref the shell when it's finalised already.
	Fixes bug #165542.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_populate_popup_cb):

	Set "Clear" context menu entry insensitive in lockdown mode.
	Fixes bug #165540.

2005-02-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (motion_notify_cb),
	(move_tab_to_another_notebook), (button_release_cb),
	(ephy_notebook_finalize):

	Ungrab the pointer when moving tab between notebooks.
	Fixes bug #165797.

2005-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Add title signal handler for XUL dialogues.

2005-01-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:
	* src/ephy-window.c: (ephy_window_get_type),
	(ephy_window_link_iface_init), (ephy_window_open_link),
	(ephy_window_init), (ephy_window_load_url):

	Make EphyWindow implement EphyLink interface.
	Make ephy-link.h public.

2005-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_new):
	* lib/ephy-dialog.c:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_new):
	* src/ephy-link.c: (ephy_link_open):
	* src/ephy-statusbar.c: (create_statusbar_security_icon):
	* src/ephy-window.c:
	* src/prefs-dialog.c: (get_download_button_label):

	Some sparse fixes.

2005-01-30  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:
	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* embed/ephy-embed-single.h:
	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-embed.h:
	* lib/ephy-marshal.list:
	* lib/ephy-prefs.h:
	* src/ephy-shell.c: (ephy_shell_new_window_cb),
	(impl_get_embed_single):
	* src/ephy-tab.c: (ephy_tab_new_window_cb):

	Move new-window signal to the embed single, and new window creation
	from EphyTab to EphyShell.

2005-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Refactored to elimiate code duplication.

2005-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/tmpl/ephy-embed.sgml:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_init),
	(ephy_embed_persist_finalize):
	* embed/ephy-embed-shell.c: (ephy_embed_shell_finalize):
	* embed/ephy-encodings.c: (ephy_encodings_finalize),
	(ephy_encodings_init):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_finalize),
	(favicon_download_completed_cb), (favicon_download_cancelled_cb),
	(ephy_favicon_cache_download), (ephy_favicon_cache_get):
	* embed/ephy-history.c: (ephy_history_set_enabled),
	(ephy_history_save), (ephy_history_finalize),
	(ephy_history_host_visited), (ephy_history_set_page_title),
	(ephy_history_set_icon), (ephy_history_clear):
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHistoryListener.cpp:
	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* lib/ephy-dbus.c: (session_filter_func), (system_filter_func),
	(ephy_dbus_connect_to_system_bus),
	(ephy_dbus_connect_to_session_bus), (path_message_func),
	(ephy_dbus_startup), (ephy_dbus_shutdown), (ephy_dbus_init),
	(ephy_dbus_finalize):
	* lib/ephy-debug.h:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_finalize):
	* lib/ephy-file-helpers.c: (ephy_file_helpers_shutdown):
	* lib/ephy-langs.c: (load_iso_entries):
	* lib/ephy-module.c: (ephy_module_load), (ephy_module_unload),
	(ephy_module_new_object), (ephy_module_init),
	(ephy_module_finalize):
	* lib/ephy-node-db.c: (ephy_node_db_load_from_file),
	(ephy_node_db_write_to_xml_valist):
	* lib/ephy-shlib-loader.c: (ephy_shlib_loader_init),
	(ephy_shlib_loader_finalize):
	* lib/widgets/ephy-location-entry.c: (entry_style_set_cb),
	(entry_realize_cb), (ephy_location_entry_construct_contents),
	(ephy_location_entry_init):
	* lib/widgets/ephy-spinner.c: (ephy_spinner_cache_load),
	(ephy_spinner_cache_get_images), (ephy_spinner_cache_init),
	(ephy_spinner_cache_finalize):
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_update_node):
	* lib/widgets/ephy-tree-model-sort.c:
	(each_property_get_data_binder):
	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(connect_proxy), (ephy_bookmark_action_finalize):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_set_bookmark), (set_window_icon):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu), (provide_favicon):
	* src/bookmarks/ephy-bookmarks-export.c:
	(ephy_bookmarks_export_rdf), (ephy_bookmarks_export_mozilla):
	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_rebuild), (do_update_cb),
	(bookmarks_tree_changed_cb), (topics_added_cb),
	(topics_removed_cb), (topic_child_changed_cb), (bookmark_added_cb),
	(bookmark_removed_cb), (activate_cb),
	(ephy_bookmarks_menu_finalize):
	* src/bookmarks/ephy-bookmarks.c:
	(ephy_bookmarks_get_toolbars_model), (ephy_bookmarks_save),
	(ephy_bookmarks_finalize), (ephy_bookmarks_find_keyword),
	(ephy_bookmarks_set_keyword), (ephy_bookmarks_unset_keyword):
	* src/bookmarks/ephy-bookmarksbar-model.c: (save_changes_idle),
	(load_toolbars), (ephy_bookmarksbar_model_init),
	(ephy_bookmarksbar_model_dispose),
	(ephy_bookmarksbar_model_finalize):
	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_action_request), (ephy_bookmarksbar_finalize):
	* src/bookmarks/ephy-favorites-menu.c:
	(ephy_favorites_menu_rebuild):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_set_title):
	* src/bookmarks/ephy-topic-action.c: (connect_proxy):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_set_bookmark):
	* src/ephy-encoding-menu.c: (add_action):
	* src/ephy-extensions-manager.c: (ephy_extensions_manager_load),
	(ephy_extensions_manager_unload),
	(ephy_extensions_manager_load_string), (get_loader_for_type),
	(load_extension), (unload_extension), (sync_loaded_extensions),
	(ephy_extensions_manager_load_dir), (ephy_extensions_manager_init),
	(ephy_extensions_manager_startup),
	(ephy_extensions_manager_finalize), (impl_attach_window),
	(impl_detach_window), (impl_attach_tab), (impl_detach_tab):
	* src/ephy-history-window.c: (setup_filters), (provide_favicon):
	* src/ephy-link.c: (ephy_link_open):
	* src/ephy-location-action.c: (user_changed_cb), (sync_address),
	(ephy_location_action_set_address):
	* src/ephy-navigation-action.c: (menu_activated_cb),
	(connect_proxy):
	* src/ephy-notebook.c: (ephy_notebook_finalize):
	* src/ephy-session.c: (window_focus_in_event_cb),
	(impl_attach_window), (impl_detach_window), (ephy_session_init),
	(ephy_session_dispose), (ephy_session_finalize),
	(ephy_session_autoresume), (ephy_session_close),
	(ephy_session_save), (ephy_session_load),
	(ephy_session_add_window), (ephy_session_remove_window):
	* src/ephy-shell.c: (save_yourself_cb), (die_cb),
	(ephy_shell_finalize), (ephy_shell_new_tab),
	(ephy_shell_get_toolbars_model), (toolwindow_show_cb),
	(toolwindow_hide_cb):
	* src/ephy-tab.c: (popups_manager_add),
	(popups_manager_add_window), (ephy_tab_get_popups_allowed),
	(popups_manager_show_all), (popups_manager_hide_all),
	(ephy_tab_finalize), (ephy_tab_address_cb),
	(ephy_tab_zoom_changed_cb), (ephy_tab_new_window_cb),
	(ephy_tab_visibility_cb), (ephy_tab_destroy_brsr_cb),
	(ephy_tab_size_to_cb), (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_init):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_update):
	* src/ephy-toolbar.c: (sync_user_input_cb):
	* src/ephy-toolbars-model.c: (save_changes_idle),
	(ephy_toolbars_model_load):
	* src/ephy-window.c: (ephy_window_destroy), (show_embed_popup),
	(ephy_window_init), (ephy_window_finalize):
	* src/pdm-dialog.c: (pdm_dialog_cookies_construct),
	(cookie_added_cb), (cookie_changed_cb), (cookie_deleted_cb),
	(cookies_cleared_cb), (pdm_dialog_passwords_construct),
	(passwords_changed_cb):
	* src/prefs-dialog.c: (fonts_language_changed_cb):

	Add ; to all LOG statements, and adapt ephy-debug.h for
	non-GNUC-varargs case.

2005-01-28  Piers Cornwell  <piers@gnome.org>
                                                                                                                                                             
        * data/epiphany-lockdown.schemas.in:
                                                                                                                                                             
        Add lock fullscreen key and improve key descriptions.

2005-01-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_actions_sensitivity):

	Disable DownloadLinkAs and SetAsBackground if saving to disk
	is disabled.

2005-01-27  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (unload_extension):

	Extension manager owns only one ref on extensions which
	don't implement EphyExtension interface. Only their loader has 
	to unref them.

2005-01-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-fullscreen-popup.c:
	(ephy_fullscreen_popup_update_visibility),
	(ephy_fullscreen_popup_set_show_leave),
	(ephy_fullscreen_popup_init):
	* src/ephy-fullscreen-popup.h:
	* src/ephy-toolbar.c: (ephy_toolbar_update_fixed_visibility),
	(ephy_toolbar_set_show_leave_fullscreen):
	* src/ephy-toolbar.h:
	* src/ephy-window.c: (ephy_window_fullscreen),
	(ephy_window_unfullscreen):

	Don't show the Leave Fullscreen button in lockdown fullscreen mode.
	Switch to fullscreen toolbar also in lockdown fullscreen mode.
	Fixes bug #165256.

2005-01-26  Piers Cornwell  <piers@gnome.org>

	* help/C/epiphany.xml:
	* help/C/epiphany-C.omf:

	Update documentation.

2005-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed-shell.c: (impl_get_embed_single),
	(ephy_embed_shell_get_embed_single), (ephy_embed_shell_class_init):
	* embed/ephy-embed-shell.h:
	* src/ephy-shell.c: (ephy_shell_class_init),
	(ephy_shell_add_sidebar_cb), (impl_get_embed_single):

	Add a alert when the user clicks on a sidebar link, telling
	that the sidebar extension is required. Fixes bug #162685
	
2005-01-24  Christian Persch,,,  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	Fix "Go Up" not to omit the directory if the uri references
	a file. Patch taken from galeon. Fixes equiv. of bug #165094.

2005-01-24  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/mozilla/EphySidebar.cpp (AddPanel): 

	Fix the g_signal_emit to pass an argument for the result,
	otherwise things break.

2005-01-24  Christian Persch,,,  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Default security.warn_submit_insecure.show_once to false.
	Avoids us displaying the submit-insecure warning, ever.

2005-01-24  Christian Persch,,,  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (import_bookmarks):

	Better wording for the import-failed dialogue.

2005-01-24  Christian Persch,,,  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (import_bookmarks):

	This is an error message, not a warning.

2005-01-24  Christian Persch,,,  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.5 ===
	
	* doc/reference/tmpl/ephy-cookie-manager.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-password-manager.sgml:
	* doc/reference/tmpl/ephy-tab.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (import_bookmarks):

	Inform the user of failed bookmarks import.

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:

	Version 1.5.5.

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/MozRegisterComponents.cpp:

	Work around a mozilla bug by diverting the contract ID of
	the nsSecureBrowserUIImpl class. Fixes the epiphany equivalent of
	bug #164670.

2005-01-24  Christian Persch  <chpe@cvs.gnome.org>

	* data/bme.desktop.in:

	Add more categories to bme.desktop.in. Fixes bug #162973.

2005-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (show_cookies_properties):

	Ellipsize the value and path labels in the cookie content dialogue.

2005-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for broken context event button.

	* embed/ephy-embed-event.c: (ephy_embed_event_get_context),
	(ephy_embed_event_get_button):
	* embed/ephy-embed-event.h:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-event.h:

	Change get_type to get_button, and don't store a nsCOMPtr in .priv.

        * src/ephy-tab.c: (ephy_tab_dom_mouse_click_cb):
        * src/ephy-window.c: (show_embed_popup), (tab_context_menu_cb),
        (ephy_window_set_active_tab):
	
	Adapted for above change.

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	Attach listener to oncontextmenu event.

	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/EventContext.h:

	Get event target coordinates also for 'mouse' context events.

	* embed/mozilla/mozilla-embed.cpp:

	Remove key-down handler, and context code from mouse-down handler.

2005-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* data/default-prefs-toolkit.js:

	Set typeaheadfind.autostart to off. Fixes bug #141963.

2005-01-23  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-toolkit.js:

	Default typeaheadfindsea to on. From bug #157435.
	
2005-01-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_class_init), (ephy_tab_visibility_cb):
	* src/ephy-window.c: (tab_added_cb):

	Rename "visible" property.

2005-01-21  Jorn Baayen  <jbaayen@gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_add_column),
	(ephy_node_view_enable_drag_source):
	* lib/widgets/ephy-node-view.h:
	* lib/widgets/ephy-tree-model-sort.c: (ephy_tree_model_sort_init),
	(ephy_tree_model_sort_multi_row_draggable),
	(ephy_tree_model_sort_set_base_drag_column_id),
	(ephy_tree_model_sort_set_extra_drag_column_id),
	(each_property_get_data_binder):
	* lib/widgets/ephy-tree-model-sort.h:
	* src/bookmarks/ephy-bookmark-action.c: (drag_data_get_cb):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_constructor):
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_init):
	* src/ephy-history-window.c: (ephy_history_window_construct):

	Add proper _NETSCAPE_URL drag support, supplying the URL as well as
	the title. As a side effect most data_columns in NodeViews have been
	obsoleted. Fixes #163937.

2005-01-20  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_add_widget),
	(ephy_statusbar_remove_widget):
	* src/ephy-statusbar.h:

	Added ephy_statusbar_remove_widget().

2005-01-20  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/Makefile.am:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_get_type):

	Make ephy-bookmarks.h's enum a named enum. 
	Auto-generate types for ephy-bookmarks.h's enum.
	Make sure our enum type is registered.

2005-01-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-fullscreen-popup.c: (ephy_fullscreen_popup_constructor):
	* src/ephy-toolbar.c: (ephy_toolbar_constructor):

	Use new leave-fullscreen icon from g-i-t. Fixes bug #164676.

2005-01-20  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (add_bookmarks_source):

	Add a translator comment.

2005-01-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (add_bookmarks_source):

	Don't leak the path.

2005-01-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-helpers.c: (ephy_find_file_recursive):
	* src/bookmarks/ephy-bookmarks-editor.c: (add_bookmarks_files),
	(add_bookmarks_source), (import_dialog_response_cb),
	(cmd_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.c: (ephy_bookmarks_import):
	* src/bookmarks/ephy-bookmarks-import.h:

	Show profile name for mozilla bookmarks, so we can distinguish between
	different profiles. Don't show firefox bookmarks as mozilla bookmarks.
	Fixes bug #143982.

2005-01-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.c:

	More translator comments.

2005-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:

	Add ephy-node.h enums to ephy-lib-type-builtins.[ch].

2005-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHeaderSniffer.cpp:

	Really make confirm-overwrite dialogue have a parent window.
	Fixes bug #164189.

2005-01-18  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (ephy_dialog_set_size_group):

	Fix mem leak. Fixes bug #164302.

2005-01-16  Jean-François rameau  <jframeau@cvs.gnome.org>

	* lib/ephy-node.h:

	Remove useless ephy_node_get_property_time method.

2005-01-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:

	Remove stamp files also on make clean.

2005-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (add_open_in_tabs_menu):

	Unify more strings.

2005-01-15  Jean-François rameau  <jframeau@cvs.gnome.org>

	* embed/ephy-password-manager.h:
	* embed/ephy-password-manager.c:
	* src/pdm-dialog.c: (pdm_dialog_password_remove),
	(pdm_dialog_fill_passwords_list)

	Rename the password manager's methods to give better names
	in the bindings.
	ephy_password_manager_add    -> ephy_password_manager_add_password
	ephy_password_manager_remove -> ephy_password_manager_remove_password
	ephy_password_manager_list   -> ephy_password_manager_list_passwords

2005-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu):
	* src/ephy-history-window.c: (ephy_history_window_update_menu):
	* src/ephy-window.c:

	Unify accels to Open in New _Window[s], and also change to
	Open Link in New _Window. Fixes bug #164130.

2005-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (ephy_node_get_type):
	* lib/ephy-node.h:

	Add boxed type for EphyNode.

2005-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:

	Don't use <tt> in the strings. Fixes bug #163378.

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):
	* src/bookmarks/ephy-bookmarks.c: (redirect_cb):

	Fix button text and capitalisation in the confirm-redirect-update
	dialogue. Fixes bug #164131.

	* src/ephy-window.c: (confirm_close_with_modified_forms):

	Fix primary text of confirm-close command not to have a period.

2005-01-15  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-shell.c (ephy_shell_get_default): 
	* src/ephy-shell.h: 

	Add a function to get the default ephy_shell, this makes
	it easier for bindings to get it.

2005-01-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.c: (ephy_cookie_copy):
	* embed/ephy-cookie-manager.h:
	* embed/mozilla/EphySingle.cpp:

	Remove p3p info from EphyCookie.

2005-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_init):

	Don't focus the combo on click.

2005-01-13  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):

	Puny docs change.

2005-01-14  Jorn Baayen  <jbaayen@gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_construct_contents):
	* lib/widgets/ephy-node-view.c: (motion_notify_cb):
	* src/bookmarks/ephy-bookmark-action.c: (drag_motion_cb):
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/ephy-history-window.c:

	Add GDK_ACTION_ASK, and prefer _NETSCAPE_URL over uri-list drag types.
	This is to match the new Nautilus _NETSCAPE_URL DnD behaviour.

	Fixes #163937.

2005-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (show_context_menu):
	* src/bookmarks/ephy-topic-action.c: (show_context_menu):

	Renamed Remove action on bookmarksbar context menu. Fixes bug #162132.

2005-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* src/Makefile.am:

	Remove the type builtins .h files from INST_H_FILES again.

2005-01-14  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_set_tooltip), (ephy_location_entry_finalize),
	(ephy_location_entry_class_init), (modify_background),
	(entry_style_set_cb), (entry_realize_cb),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_init), (ephy_location_entry_set_favicon),
	(ephy_location_entry_set_show_lock),
	(ephy_location_entry_set_lock_stock),
	(ephy_location_entry_set_lock_tooltip):
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-fullscreen-popup.c: (ephy_fullscreen_popup_constructor):
	* src/ephy-location-action.c: (sync_icon), (sync_lock_stock_id),
	(sync_lock_tooltip), (sync_show_lock), (connect_proxy),
	(ephy_location_action_set_property),
	(ephy_location_action_get_property),
	(ephy_location_action_class_init), (ephy_location_action_finalize):
	* src/ephy-toolbar.c: (ephy_toolbar_set_security_state),
	(ephy_toolbar_set_lock_visibility), (ephy_toolbar_constructor):
	* src/ephy-toolbar.h:
	* src/ephy-window.c: (sync_chromes_visibility):

	Add favicon and lock icon to the entry. Fixes bug #116482 and bug #149506.
	Change "Exit Fullscreen" to "Leave Fullscreen" as per HIG, part of bug #153270.

2005-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* src/Makefile.am:

	Install ephy-*-type-builtins.h.

2005-01-12  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Add Toolbar toggle to document context menu in fullscreen mode.

	* lib/egg/egg-editable-toolbar.c: (set_fixed_style),
	(update_fixed), (egg_editable_toolbar_set_fixed):
	* lib/egg/egg-editable-toolbar.h:

	Changed to allow setting a toolbar as fixed, not just one item.

	* lib/widgets/ephy-search-entry.h:

	Add _ prefixed struct declarations.

	* po/POTFILES.in:

	Updated.

	* src/Makefile.am:
	A src/ephy-fullscreen-popup.c:
	A src/ephy-fullscreen-popup.h:
	* src/ephy-history-window.c:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	A src/ephy-toolbar.c: 
	A src/ephy-toolbar.h:
	* src/ephy-window.c: (destroy_fullscreen_popup),
	(ephy_window_destroy), (exit_fullscreen_clicked_cb),
	(get_toolbar_visibility), (sync_chromes_visibility),
	(ephy_window_fullscreen), (ephy_window_unfullscreen),
	(sync_tab_address), (sync_tab_icon), (sync_tab_navigation),
	(sync_tab_security), (sync_tab_load_status), (sync_tab_zoom),
	(show_embed_popup), (modal_alert_cb), (ephy_window_focus_in_event),
	(ephy_window_focus_out_event), (ephy_window_init),
	(ephy_window_activate_location):
	R src/toolbar.c:
	R src/toolbar.h:
	* src/window-commands.c: (window_cmd_load_location):

	Implemented in-toolbar exit button, and integrated status indicator in
	the exit fullscreen popup. Moved toolbar.[ch] to ephy-toolbar.[ch] for
	namespace correcness, and much-needed code cleanup.

2005-01-12  Matthew Schick  <matt@breakmygentoo.net>

	* configure.ac:

	Remove unnecessary line from DBUS configure check.

2005-01-11  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):

	Remove an extra line of gtk-doc which doesn't belong.

2005-01-11  Tomasz Kłoczko <kloczek@pld.org.pl>

	* src/Makefile.am:
	Fxs parallel build ("make -j<N>").
	Do not include full path to .la file in case when it is in current
	directory (it breaks dependences framework generated by automake in
	Makefile file).

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.4 ===

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>


	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* embed/ephy-embed-single.h:

	Add "check-content" signal.

	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyContentPolicy.h:

	Emit from here.

	* lib/ephy-marshal.list:

	New marshal.

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.h:
	* embed/mozilla/EphySingle.cpp:

	Use the enums instead of ints.

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* embed/Makefile.am:

	Fix [DIST]CLEANFILES so that make distcheck passes.

2005-01-11  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/EventContext.cpp:

	Use UnEscapeURIForUI instead of UnEscapeNonAsciiURI.

2005-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Alerts should not have terminating periods in the primary text.

2005-01-10  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_get_print_info):

	Fix a mem leak.

2005-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/Makefile.am:

	Add $(stamp_files) to MAINTAINERCLEANFILES.

2005-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* lib/ephy-prefs.h:
	* src/Makefile.am:
	* src/ephy-notebook.c: (tab_label_style_set_cb):
	* src/ephy-shell.c: (ephy_shell_finalize),
	(toolbar_style_notifier), (ephy_shell_get_toolbars_model):
	A src/ephy-toolbar-editor.c:
	A src/ephy-toolbar-editor.h:
	* src/window-commands.c: (window_cmd_edit_toolbar):

	Move toolbar editor dialogue into its own class, and implement a
	toolbar style override there. Fixes bug #102520.

2005-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-editable-toolbar.c: (toolbar_changed_cb),
	(egg_editable_toolbar_construct):
	* lib/egg/egg-toolbars-model.c: (parse_toolbars):
	* lib/egg/egg-toolbars-model.h:

	Rename toolbar model flags to be more in line with GtkToolbarStyle.

2005-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix dbus configure check to really default to off.

2005-01-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/Makefile.am:
	A lib/ephy-dbus.c:
	A lib/ephy-dbus.h:
	* lib/ephy-marshal.list:
	* src/Makefile.am:
	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_dbus_service):
	* src/ephy-shell.h:

	Add experimental dbus service, disabled by default. Configure with
	--enable-dbus to enable.

2005-01-09  Piers Cornwell  <piers@gnome.org>

	* data/epiphany.desktop.in

	Add extra catagories. Fixes bug #162973.

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GlobalHistory.cpp:

	Don't check for nsIBrowserHistory.

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>


	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Add mnemonic to Send button.

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Set show-once to PR_FALSE if the GetBoolPref call fails.

2005-01-09  Crispin Flowerday  <gnome@flowerday.cx>

	* src/Makefile.am (epiphany_CPPFLAGS): 

	Remove some unneeded includes and defines

2005-01-08  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-tab.c: (popups_manager_add):

	Don't store more than 5 hidden popups. Fixes bug #160863.

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (sync_tab_security):

	Don't show the description for no-secure and broken sites.

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-fs-toolbar.xml:
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-event.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-window.h:

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.h:

	Set default response to ACCEPT in send-to-insecure dialogue,
	only write back show_once pref when not shown by default,
	and add the dialogue to its parent's window group
	(note that there isn't a parent without a mozilla patch, currently).

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:

	Improve dialogue wording. Thanks to spark for his help.

2005-01-09  Christian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Override the default security warning dialogues implementation with our own
	class which follows HIG and our interface design. Fixes bug #163278.
	Also show the entering-secure dialogue once, to inform about the
	lock icon in the statusbar.

2005-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:

	Also generate types for ephy-cookie-manager.h's enums.

2005-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:

	More stamp magic.

2005-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-cookie-manager.h:
	* embed/ephy-download.c:
	* embed/ephy-download.h:
	* embed/ephy-embed-dialog.c:
	* embed/ephy-embed-dialog.h:
	* embed/ephy-embed-persist.c:
	* embed/ephy-embed-persist.h:
	* embed/ephy-encodings.c:
	* embed/ephy-encodings.h:
	* embed/ephy-favicon-cache.c:
	* embed/ephy-favicon-cache.h:
	* embed/ephy-history.c:
	* embed/ephy-history.h:
	* embed/ephy-password-manager.h:
	* embed/ephy-permission-manager.h:
	* lib/ephy-file-chooser.c:
	* lib/ephy-file-chooser.h:
	* lib/ephy-node-db.c:
	* lib/ephy-node-db.h:
	* lib/ephy-node-filter.c:
	* lib/ephy-node-filter.h:
	* lib/ephy-node.c:
	* lib/ephy-node.h:
	* lib/widgets/ephy-node-view.c:
	* lib/widgets/ephy-node-view.h:
	* lib/widgets/ephy-search-entry.c:
	* lib/widgets/ephy-search-entry.h:
	* lib/widgets/ephy-spinner.c:
	* lib/widgets/ephy-spinner.h:
	* lib/widgets/ephy-tree-model-node.c:
	* lib/widgets/ephy-tree-model-node.h:
	* lib/widgets/ephy-tree-model-sort.c:
	* lib/widgets/ephy-tree-model-sort.h:
	* lib/widgets/ephy-zoom-action.c:
	* lib/widgets/ephy-zoom-action.h:
	* src/bookmarks/ephy-bookmark-properties.c:
	* src/bookmarks/ephy-bookmark-properties.h:
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/bookmarks/ephy-bookmarks-editor.h:
	* src/bookmarks/ephy-bookmarks.c:
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-bookmarksbar-model.c:
	* src/bookmarks/ephy-bookmarksbar-model.h:
	* src/bookmarks/ephy-bookmarksbar.c:
	* src/bookmarks/ephy-bookmarksbar.h:
	* src/bookmarks/ephy-new-bookmark.c:
	* src/bookmarks/ephy-new-bookmark.h:
	* src/bookmarks/ephy-topics-selector.c:
	* src/bookmarks/ephy-topics-selector.h:
	* src/ephy-completion-model.c:
	* src/ephy-completion-model.h:
	* src/ephy-encoding-dialog.c:
	* src/ephy-encoding-dialog.h:
	* src/ephy-history-window.c:
	* src/ephy-history-window.h:

	Make all structs prefixed by _.

2005-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c:
	* src/ephy-notebook.h:
	* src/ephy-session.c:
	* src/ephy-session.h:
	* src/ephy-statusbar.c:
	* src/ephy-statusbar.h:
	* src/ephy-toolbars-model.c: 
	* src/ephy-toolbars-model.h:

	Prefix structs with _.

2005-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c:
	* src/ephy-tabs-menu.c:
	* src/ephy-window.c:
	* src/ephy-window.h:
	* src/pdm-dialog.c:
	* src/prefs-dialog.c:
	* src/window-commands.c:

	Remove unused include from public header ephy-window.h.

2005-01-08  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-toolbar.xml:
	* lib/ephy-marshal.list:
	* lib/ephy-signal-accumulator.c: (ephy_signal_accumulator_string):
	* lib/ephy-signal-accumulator.h:
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_set_tooltip),
	(ephy_location_entry_class_init), (editable_changed_cb),
	(each_url_get_data_binder), (favicon_drag_data_get_cb),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_activate), (ephy_location_entry_get_entry),
	(ephy_location_entry_get_image):
	* lib/widgets/ephy-location-entry.h:
	* src/Makefile.am:
	* src/ephy-favicon-action.c:
	* src/ephy-favicon-action.h:
	* src/ephy-location-action.c: (sync_address), (sync_editable),
	(sync_icon), (get_location_cb), (get_title_cb),
	(remove_completion_actions), (add_completion_actions),
	(connect_proxy), (disconnect_proxy),
	(ephy_location_action_set_property),
	(ephy_location_action_get_property),
	(ephy_location_action_class_init), (ephy_location_action_init),
	(ephy_location_action_finalize):
	* src/ephy-window.c: (sync_tab_icon):
	* src/toolbar.c: (toolbar_setup_actions), (toolbar_update_favicon):
	* src/toolbar.h:

	Unify the location and favicon actions.
	
	* src/window-commands.c: (window_cmd_help_about):

	Add translator comment to the translation-credits string.

2005-01-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:

	Avoid unnecessary rebuilts of the generated enum .h files by using
	stamp files.

2005-01-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_get_type),
	(egg_toolbars_model_get_item_type):
	* lib/ephy-state.c: (ensure_states):

	Make sure our flags/enum types are registered.

2005-01-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c: (register_type):
	* lib/ephy-state.c: (register_type):
	* lib/ephy-state.h:

	Add dummy functions to call some get_types funcs, otherwise
	they don't get exported.

	* src/Makefile.am:

	Remove unused defines.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:
	* lib/ephy-state.c:
	* lib/ephy-state.h:

	More auto-generated types.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:

	Simplfiy the rule a bit.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/Makefile.am:
	* embed/ephy-embed-event.c:
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-persist.c: 
	* embed/ephy-embed-persist.h:
	* embed/ephy-embed.c:
	* embed/ephy-embed.h:
	* embed/ephy-permission-manager.c:
	* embed/ephy-permission-manager.h:
	* lib/egg/Makefile.am:
	* lib/egg/egg-toolbars-model.c:
	* lib/egg/egg-toolbars-model.h:
	* src/Makefile.am:
	* src/ephy-link.c:
	* src/ephy-link.h:
	* src/ephy-navigation-action.c:
	* src/ephy-shell.c: (ephy_shell_error_quark):
	* src/ephy-shell.h:
	* src/ephy-tab.c:
	* src/ephy-tab.h:
	* src/ephy-window.c:

	Use glib-mkenums to generate the enum and flags get_type functions.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Add placeholder group for tabs move actions.

	* src/ephy-window.c: (show_notebook_popup_menu):

	Activate the action before showing the context menu, so 
	extensions can sync their UI.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-go-action.c: (create_tool_item):

	Don't focus the button on click.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/popup-commands.c: (background_download_completed):

	Open the GNOME background properties capplet when setting the
	background from an image. Fixes bug #161215.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (sync_tab_security):

	Display open lock for low 'secure' sites too. Fixes bug #151709.

2005-01-06  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Don't add "Close" to the tab's context menu. When you're using keynav,
	the tab is active so normal ways (File menu, Ctrl-W) work; when you're
	mousing why not use the close button!

2005-01-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c:

	Use "Add _Bookmark" not "_Bookmark Link".

2005-01-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Retain old menu item name for compatibility.

2005-01-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-notebook.c: (button_press_cb):
	* src/ephy-window.c: (show_notebook_popup_menu),
	(notebook_button_press_cb), (notebook_popup_menu_cb),
	(setup_notebook):

	Add context menu on notebook. Fixes bug #132989.

2005-01-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:

	Remove trailing whitespace.

	* embed/mozilla/MozDownload.cpp:

	Fix build with moz 1.7.

2005-01-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:

	Only implement nsITransfer if possible.

2005-01-05  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed-event.c: (ephy_embed_event_context_get_type):
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_flags_get_type):
	* embed/ephy-embed-persist.h:
	* embed/ephy-embed.c: (ephy_embed_net_state_get_type),
	(ephy_embed_ppv_navigation_get_type),
	(ephy_embed_security_level_get_type),
	(ephy_embed_document_type_get_type):
	* embed/ephy-embed.h:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download):
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-tab.c: (ephy_tab_address_expire_get_type),
	(ephy_tab_navigation_flags_get_type), (ephy_tab_set_property),
	(ephy_tab_class_init), (ephy_tab_get_document_type),
	(ephy_tab_address_cb), (update_net_state_message),
	(build_progress_from_requests), (ensure_page_info),
	(ephy_tab_net_state_cb), (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_init), (ephy_tab_update_navigation_flags),
	(ephy_tab_set_location), (ephy_tab_get_security_level):
	* src/ephy-tab.h:
	* src/ephy-window.c: (sync_tab_document_type),
	(sync_tab_navigation), (sync_tab_security), (sync_tab_zoom),
	(update_popups_tooltips), (show_embed_popup):
	* src/popup-commands.c: (popup_cmd_copy_link_address),
	(save_property_url), (popup_cmd_set_image_as_background),
	(save_temp_source):
	* src/ppview-toolbar.c: (toolbar_cmd_ppv_goto_first),
	(toolbar_cmd_ppv_goto_last), (toolbar_cmd_ppv_go_back),
	(toolbar_cmd_ppv_go_forward):
	* src/toolbar.c: (sync_user_input_cb):
	* src/window-commands.c: (window_cmd_file_save_as),
	(save_temp_source):

	Consistently start enum names with EPHY_*.

2005-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item):
	* src/bookmarks/ephy-topic-action.c: (create_tool_item):

	Don't focus the buttons on click.

	* src/bookmarks/ephy-topic-action.c: (add_open_in_tabs_menu):

	Use "Open in New Tabs" label for consistency.

2005-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c:
	* lib/widgets/ephy-node-view.h:
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_update_menu):
	* src/ephy-history-window.c: (ephy_history_window_update_menu):

	Use ngettext to get the Open in New Tab[s]/Window[s] label.

2005-01-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (close_button_clicked_cb),
	(build_tab_label):

	Better fix for bug #119461, just use gtk_button_set_focus_on_click().
	Thanks to tko for pointing this out to me.

2005-01-03  Adam Hooper  <adamh@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):

	Use G_TYPE_STRING instead of G_TYPE_POINTER for address and features
	of ge-popup-blocked signal.

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-state.c: (ephy_state_window_flags_get_type):
	* lib/ephy-state.h:

	Add type for flags.

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.c: (ephy_embed_persist_flags_get_type):
	* embed/ephy-embed-persist.h:

	Add type for flags.

2005-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* lib/ephy-dialog.c:
	* lib/ephy-dialog.h: Prefix class structs with '_'
	so that the python code generator finds it.

2005-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed-event.c:
	* embed/ephy-embed-event.h:
	* embed/ephy-embed-persist.c: (ephy_embed_persist_set_flags):
	* embed/ephy-embed-persist.h:
	* embed/ephy-embed.c: (ephy_embed_base_init),
	(ephy_embed_get_security_level),
	(ephy_embed_print_preview_navigate):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-tab.c: (ephy_tab_address_expire_get_type),
	(ephy_tab_navigation_flags_get_type), (ephy_tab_document_type_cb),
	(update_net_state_message), (build_progress_from_requests),
	(ephy_tab_net_state_cb), (ephy_tab_dom_mouse_click_cb),
	(ephy_tab_security_change_cb), (ephy_tab_update_navigation_flags),
	(ephy_tab_set_location), (ephy_tab_set_security_level):
	* src/ephy-tab.h:
	* src/ephy-window.c: (sync_tab_document_type),
	(sync_tab_navigation), (sync_tab_security), (sync_tab_zoom),
	(update_popups_tooltips), (show_embed_popup),
	(ephy_window_class_init):
	* src/popup-commands.c: (popup_cmd_copy_link_address):

	Ensure that flags and enums start with 'Ephy'
	
2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_get_property), (ephy_tab_class_init):

	Use new enum and flags types.

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbars-model.c:
	(egg_toolbars_model_flags_get_type):
	* lib/egg/egg-toolbars-model.h:

	Add type for flags.

2005-01-03  Crispin Flowerday  <gnome@flowerday.cx>

	* src/ephy-shell.c: (ephy_shell_error_get_type),
	(ephy_shell_startup_flags_get_type), (ephy_new_tab_flags_get_type):
	* src/ephy-shell.h:
	* src/ephy-tab.c: (ephy_tab_address_expire_get_type),
	(ephy_tab_navigation_flags_get_type):
	* src/ephy-tab.h:

	Add some more types for enums and flags

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:

	Make ephy-encodings.h not public anymore.

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-permission-manager.c: (ephy_permission_get_type):
	* embed/ephy-permission-manager.h:

	Another enum type.

	* lib/ephy-marshal.list:

	Remove unused marshal.

	* src/ephy-tab.c: (ephy_tab_class_init):

	Use enum for security level type.

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-event.c: (ephy_embed_event_context_get_type),
	(ephy_embed_event_type_get_type):
	* embed/ephy-embed-event.h:
	* embed/ephy-embed.c: (ephy_embed_net_state_get_type),
	(ephy_embed_ppv_navigation_get_type),
	(ephy_embed_security_level_get_type), (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* lib/ephy-marshal.list:
	* src/ephy-tab.c: (update_net_state_message),
	(build_progress_from_requests), (ephy_tab_net_state_cb):

	Add types for some enums and flags.

2005-01-03  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-history-window.c:

	Change Cl_ear History to Clear _History

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-1.6.pc.in:

	Add loader directory to the .pc file.

	* src/ephy-extensions-manager.c: (sanitise_type),
	(get_loader_for_type), (ephy_extensions_manager_finalize):

	Load new loaders with the sblib loader.

2005-01-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.h:

	Remove ephy_window_print().

	* embed/ephy-encodings.h:

	Remove unused enum.

2005-01-02  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Change C_lear to Cl_ear. Fixes bug #162706.

2005-01-01  Crispin Flowerday  <gnome@flowerday.cx>

	* embed/ephy-embed-single.c: (ephy_embed_single_iface_init):
	* embed/ephy-embed-single.h:
	* embed/mozilla/EphySidebar.cpp:
	* embed/mozilla/EphySidebar.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Add an "add-sidebar" signal on the EphyEmbedSingle interface,
	it gets emitted when a user clicks on a link that wants
	to add a url to the sidebar.

2005-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:

	We don't need to implement nsIBrowserHistory.

2005-01-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (close_button_clicked_cb),
	(build_tab_label):
	* src/ephy-tab.c: (ephy_tab_grab_focus), (ephy_tab_class_init):

	Grab focus on the active tab before removing a tab. Fixes bug #119461.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topics-selector.c: (ephy_topics_selector_constructor):

	Set selection mode to BROWSE. Fixes bug #162331.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (delete_topic_dialog_construct):

	Save a strdup.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (tab_label_style_set_cb):

	Use approximate_digit_width, and use a smaller number of chars.
	From bug #153725.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.h:

	Fix compilation in the !HAVE_MOZILLA_PSM case.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_finalize),
	(ephy_embed_shell_get_encodings):
	* embed/ephy-embed-shell.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* lib/ephy-file-helpers.c: (ephy_file_helpers_shutdown),
	(ephy_file_delete_on_exit), (load_mime_from_xml),
	(ephy_file_check_mime):
	* lib/ephy-file-helpers.h:

	Move mime permission checks to ephy-file-helpers.

	* src/popup-commands.c: (image_open_uri),
	(save_source_completed_cb), (popup_cmd_open_image):

	Only open the image if its mime type is 'safe'.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/popup-commands.c: (image_open_uri),
	(save_source_completed_cb), (save_temp_source),
	(popup_cmd_open_image):

	Make "Open Image" open the image in the default application.
	Fixes bug #138396.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (progress_cell_data_func):
	* embed/ephy-encodings.c:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):
	* src/prefs-dialog.c: (get_name_for_lang_code):

	Add translator's comments to contextualised strings.

2004-12-31  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	R data/conspiracy.xhtml:
	R data/epiphany.html:
	R embed/mozilla/EphyAboutRedirector.cpp:
	R embed/mozilla/EphyAboutRedirector.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Remove about: redirections.

2004-12-30  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_file_send_to):

	Use gnome_vfs_url_show() for Send To, not ephy_embed_load_url() which
	shows that annoying confirmation dialogue. Fixes bug #162532.

2004-12-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (sync_loaded_extensions):

	Free the gconf value. Thanks to jfr for noticing this.

2004-12-26  Christian Perschristian Persch  <chpe@cvs.gnome.org>

	* data/glade/prefs-dialog.glade:

	Use stock buttons.

2004-12-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/FilePicker.cpp:

	Don't destroy the dialogue with the parent, since that makes
	gtk+ go crazy. Fixes bug #156816.

2004-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c: (ephy_encodings_init):
	* lib/ephy-langs.c:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):
	* src/ephy-window.c: (show_embed_popup), (tab_context_menu_cb),
	(ephy_window_set_active_tab):
	* src/prefs-dialog.c: (create_fonts_language_menu):

	Add context to ambiguous strings. Fixes bug #113932.

2004-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-marshal.list:

	Remove tons of unused marshals.

	* src/ephy-link.c: (ephy_link_base_init):

	Fix marshaler to match actual signal signature.

2004-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_get_type),
	(notebook_drag_data_received_cb):
	* src/ephy-window.c: (open_link_cb), (ephy_window_init),
	(ephy_window_set_zoom):
	* src/ephy-window.h:

	Remove obsolete ephy_window_load_in_tabs() and use generic
	link opening framework instead.

2004-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (append_bookmarks_menu),
	(open_in_tabs_activate_cb):

	Open the bookmarks in the new tabs in the same order as they
	are in the menu, not in some random order.

2004-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-marshal.list:
	* src/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_get_type), (create_tool_item),
	(open_in_tab_activate_cb), (open_in_window_activate_cb),
	(activate_cb), (connect_proxy), (ephy_bookmark_action_class_init):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_get_type), (add_action_for_bookmark),
	(ephy_bookmarks_menu_class_init):
	* src/bookmarks/ephy-bookmarks-menu.h:
	* src/bookmarks/ephy-bookmarksbar.c: (ephy_bookmarksbar_get_type),
	(ephy_bookmarksbar_action_request):
	* src/bookmarks/ephy-favorites-menu.c:
	(ephy_favorites_menu_get_type), (ephy_favorites_menu_rebuild):
	* src/bookmarks/ephy-favorites-menu.h:
	* src/bookmarks/ephy-topic-action.c: (ephy_topic_action_get_type),
	(menu_activate_cb), (open_in_tabs_activate_cb),
	(ephy_topic_action_class_init):
	* src/bookmarks/ephy-topic-action.h:
	A src/ephy-home-action.c: (ephy_home_action_activate),
	(ephy_home_action_class_init), (ephy_home_action_get_type):
	A src/ephy-home-action.h:
	A src/ephy-link-action.c: (ephy_link_action_get_type):
	A src/ephy-link-action.h:
	A src/ephy-link.c: (ephy_link_flags_get_type),
	(ephy_link_base_init), (ephy_link_get_type), (ephy_link_open):
	A src/ephy-link.h:
	* src/ephy-location-action.c: (ephy_location_action_get_type),
	(action_activated_cb), (location_url_activate_cb), (connect_proxy),
	(disconnect_proxy), (ephy_location_action_class_init):
	* src/ephy-location-action.h:
	* src/ephy-navigation-action.c: (ephy_navigation_action_get_type),
	(activate_back_or_forward_menu_item_cb),
	(activate_up_menu_item_cb), (build_back_or_forward_menu),
	(build_up_menu):
	* src/ephy-navigation-action.h:
	* src/ephy-shell.c: (ephy_shell_new_tab):
	* src/ephy-window.c: (setup_ui_manager), (open_link_cb),
	(ephy_window_init):
	* src/toolbar.c: (toolbar_get_type), (toolbar_setup_actions):
	* src/window-commands.c:
	* src/window-commands.h:

	Consolidate link opening in one place by introducing an EphyLink interface
	which bookmarks, topics, navigation, location, home, toolbars, bookmarks menu
	and favourites menu implement, forwarding the link opening to the window.

2004-12-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* lib/ephy-marshal.list:

	EphyEmbedChrome is flags, not enum.

2004-12-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/mozilla-embed.cpp:
	* lib/Makefile.am:
	* lib/ephy-marshal.list:
	A lib/ephy-signal-accumulator.c: (ephy_signal_accumulator_object):
	A lib/ephy-signal-accumulator.h:
	* src/ephy-tab.c: (ephy_tab_new_window_cb):

	Fix new_window signal.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Don't crash if trying to get the document type before the widget
	is realised.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.3 ===

	* data/Makefile.am:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-tab.sgml:

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_download_row):

	Fix untranslated string. Fixes bug #161739.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Really make the configure check for -Wdeclaration-after-statement work.

2004-12-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Updated for version 1.5.3.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.c: (ephy_langs_append_languages),
	(load_iso_entries):
	* lib/ephy-langs.h:

	Fix a mem leak, and update copyright notice.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (setup_editor):

	Remove inline help. Fixes bug #137603.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct),
	(duplicate_bookmark_response_cb), (duplicated_node_destroy_cb),
	(ephy_new_bookmark_is_unique):

	Add "View Properties" to duplicated bookmarks dialogue. Fixes bug #117643
	and bug #138300.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozRegisterComponents.cpp:

	Fix crash, thanks to Crispin for noticing this.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Correct code for "Afrikaans".

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/FilePicker.cpp:

	Try to fix the build.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_base_init):
	* src/ephy-window.c:

	Fix the build.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for -Wdeclaration-after-statement, it's not universally available.

2004-12-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/MozDownload.cpp:

	Mozilla API change.

2004-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (toolbar_editor_destroy_cb),
	(window_cmd_edit_toolbar):

	Don't show multiple toolbar editors for the same window.
	Part of bug #111114.

2004-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_new):
	* lib/ephy-gui.c: (ephy_gui_ensure_window_group),
	(ephy_gui_confirm_overwrite_file):
	* lib/ephy-gui.h:
	* src/bookmarks/ephy-bookmarks-editor.c:
	(delete_topic_dialog_construct), (ephy_bookmarks_editor_construct):
	* src/ephy-window.c: (ephy_window_init):
	* src/pdm-dialog.c: (show_cookies_properties):

	Make sure we don't have any app-modal dialogues. Fixes bug #110479.

2004-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (update_print_actions),
	(update_actions_sensitivity), (sync_tab_load_status):

	Disable Print and Print Preview while still loading the page.
	Fixes bug #116344.

2004-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_chrome_get_type),
	(ephy_embed_document_type_get_type), (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:
	* src/ephy-tab.c: (ephy_tab_set_property), (ephy_tab_get_property),
	(ephy_tab_class_init), (ephy_tab_get_document_type),
	(ephy_tab_document_type_cb), (ephy_tab_init):
	* src/ephy-tab.h:
	* src/ephy-window.c: (sync_tab_document_type), (sync_tab_zoom),
	(ephy_window_set_active_tab):
	* src/toolbar.c: (toolbar_update_zoom):
	* src/toolbar.h:

	Disable Zoom items for images, and disable zoom, encoding and view source
	for images and xml (xul) documents. Fixes bug #132240.

2004-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (handle_email):

	Fix email links by prepending mailto: before
	calling gnome_vfs_url_show().

2004-12-17  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-main.c: (handle_url), (handle_email), (main):
	* src/ephy-shell.c:
	* src/window-commands.c: (window_cmd_help_about):

	Use gtk_show_about_dialog(), and handle urls and mailto.

2004-12-17  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-extension.c: (ephy_extension_attach_window),
	(ephy_extension_detach_window), (ephy_extension_attach_tab),
	(ephy_extension_detach_tab):
	* src/ephy-extension.h:
	* src/ephy-extensions-manager.c: (attach_window), (detach_window),
	(attach_extension_to_window), (impl_attach_window),
	(impl_detach_window), (impl_attach_tab), (impl_detach_tab),
	(ephy_extensions_manager_iface_init):
	* src/ephy-window.c: (tab_added_cb), (tab_removed_cb):

	Add attach_tab and detach_tab functions to extension interface (bug
	#153732). Thanks to Crispin for almost all of the code.

2004-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Fix name for "gd" language (Scots Gaelic). Fixes bug #161509.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (show_downloader_cb),
	(status_icon_popup_menu_cb), (show_status_icon):
	* lib/egg/eggstatusicon.c: (egg_status_icon_class_init),
	(egg_status_icon_init), (egg_status_icon_finalize),
	(emit_activate_signal), (emit_popup_menu_signal),
	(egg_status_icon_size_allocate), (egg_status_icon_button_press),
	(egg_status_icon_set_tooltip):
	* lib/egg/eggstatusicon.h:
	* lib/ephy-gui.c: (ephy_gui_menu_position_under_widget),
	(ephy_gui_menu_position_on_panel):
	* lib/ephy-gui.h:

	Implement context menu on tray icon, as per HIG. Fixes bug #152903.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (confirmation_dialog_construct):

	Add stock icon to the "Clear" button.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:

	Check the encodings before we set the mozilla pref. From bug #150266.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/ContentHandler.cpp:

	Quote app name.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):

	Disable search. Fixes bug #157157.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

        * lib/widgets/ephy-location-entry.c: (entry_populate_popup_cb):

	Small improvement.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_populate_popup_cb):

	Move Clear after Select All.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Add app name to primary text, too. Fixes bug #141327.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (entry_clear_activate_cb),
	(entry_populate_popup_cb),
	(ephy_location_entry_construct_contents):

	Add "Clear" to entry context menu. Fixes bug #118395.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

        * embed/mozilla/ContentHandler.cpp:

	Add stock icon to "Save As..." button.

2004-12-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Tell the user with which application we're going to open the content.
	Fixes bug #141327.

2004-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Remove a duplicated lang code.

2004-12-14  Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/certificate-dialogs.glade:
	* data/glade/epiphany.glade:
	* data/glade/prefs-dialog.glade:
	* data/glade/print.glade:

	Use alignments instead of empty labels for alignment.

	* src/prefs-dialog.c: (prefs_dialog_init):

	Remove a size group, it's not needed anymore.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks.c: (update_bookmark_response_cb),
	(update_bookmark_destroy_cb), (redirect_cb):

	Prompt for bookmark update.

	* src/prefs-dialog.c: (get_download_button_label):

	Use gtk domain for Home and Desktop strings to get the same
	as the filechooser.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-encodings.c: (elide_underscores), (add_encoding):
	* embed/mozilla/FilePicker.cpp:
	* lib/ephy-dnd.c:
	* lib/ephy-node.c:
	* lib/ephy-string.c: (ephy_string_blank_chr):
	* lib/ephy-string.h:
	* lib/widgets/ephy-node-view.c:
	* src/ephy-encoding-menu.c:
	* src/ephy-notebook.c:
	* src/ephy-session.c:
	* src/ephy-statusbar.c:
	* src/ephy-tab.c: (ephy_tab_set_title):
	* src/ephy-tabs-menu.c: (connect_proxy_cb):
	* src/ppview-toolbar.c:

	Get rid of ephy_string_[elide|double]_underscores().
	Remove unnecessary ephy-string.h includes.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Make distcheck fix.
	
	* lib/ephy-string.c:
	* lib/ephy-string.h:

	Finally remove ephy_string_shorten().

	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(ephy_bookmark_action_sync_label):
	* src/bookmarks/ephy-bookmarks-menu.c: (connect_proxy_cb):
	* src/bookmarks/ephy-favorites-menu.c: (connect_proxy_cb):
	* src/bookmarks/ephy-topic-action.c: (create_tool_item),
	(ephy_topic_action_sync_label), (append_bookmarks_menu),
	(build_topics_menu):
	* src/ephy-navigation-action.c: (new_history_menu_item):

	Use gtk_label_set_max_width_chars() and ellipsise the labels.

2004-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Adapt PSM configure check for new header location in SDK.
	Up gtk+ dependency to 2.5.7.
	
2004-12-12  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Back out the fix for bug #158466, it's wrong.

2004-12-06  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/Makefile.am:
	A data/epiphany-bookmarks-html.xsl:
	* data/ui/epiphany-bookmark-editor-ui.xml:
	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_export),
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-bookmarks-export.c: (write_rdf),
	(ephy_bookmarks_export_rdf), (ephy_bookmarks_export_mozilla):
	* src/bookmarks/ephy-bookmarks-export.h:
	* src/ephy-main.c: (main):

	Add bookmarks export to bookmarks editor. Fixes bug #157745.
	Patch by John Spray, XSL stylesheet by Stefan Rotsch.

2004-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:

	Fix typo.

2004-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_destroy):

	Deactivate the context menu on window close. Fixes bug #156812.

2004-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_autoresume):

	Don't offer to resume if there are open windows.
	Fixes bug #160345.

2004-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c:

	Use stock icon for "Open In New Tab".

2004-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:

	Use stock icon for "Open In New Tab".

2004-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyHistoryListener.cpp:

	Don't use NS_LITERAL_CSTRING.

2004-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:

	Removed references to removed files.

2004-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (ephy_history_class_init):
	* embed/ephy-history.h:
	* embed/mozilla/EphyHistoryListener.cpp:
	* embed/mozilla/EphyHistoryListener.h:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GlobalHistory.h:
	* embed/mozilla/Makefile.am:
	* src/bookmarks/ephy-bookmarks.c: (redirect_cb),
	(ephy_setup_history_notifiers):
	* src/ephy-window.c: (confirm_close_with_modified_forms),
	(ensure_window_group), (ephy_window_init):

	Update bookmarks from HTTP 301. Fixes bug #126312.

2004-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* doc/reference/Makefile.am:

	Downgrade automake requirement to 1.8.

2004-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (sync_loaded_extensions):

	If the gconf key doesn't exist, or has the wrong value type,
	set it to ["extensions-manager-ui"] to ensure the extensions manager
	UI is loaded if it's installed.

2004-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/Makefile.am:

	Remove cruft.

2004-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Add deprecated defines to AM_CPPFLAGS in maintainer-mode.
	
	* doc/reference/Makefile.am:
	* embed/Makefile.am:
	* embed/mozilla/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* lib/widgets/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	INCLUDES is deprecated, use AM_CPPFLAGS and AM_CFLAGS instead.

	* lib/egg/eggintl.h:

	Include glib/gi18n.h instead of gnome-18n.h.

	* lib/eel-gconf-extensions.c: (eel_gconf_client_get_global):

	Removed usage of deprecated gconf API.

	* src/ephy-main.c: (main):

	Removed usage of deprecated glade API.

2004-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Fix "Open Frame" menu item name. Fixes bug #153816.

2004-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bunmp.

2004-11-29  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.2 ===

2004-11-29  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	* doc/reference/tmpl/ephy-embed.sgml:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_add_pattern_filter):

	Version 1.5.2.

2004-11-28  Vincent Untz  <vincent@vuntz.net>

	* src/bookmarks/ephy-bookmarksbar-model.c: (impl_get_item_id):

	Fixes leak.

2004-11-28  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_add_tab):

	Revert the earlier patch: don't emit tabs-reordered when
	the tab-added signal handler reordered the tab, since
	ephy_notebook_move_tab does it already.

2004-11-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (ephy_shell_new_tab):

	Don't move the window, just show it. Fixes bug #158923.

2004-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:

	Build auto-generated files in builddir, not in srcdir.

2004-11-25  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christian Persch  <chpe@cvs.gnome.org>

	* embed/Makefile.am:
	* lib/widgets/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Fix build out of src directory.

	* src/window-commands.c: (editor_open_uri),
	(window_cmd_view_page_source):

	Rework the code to not use deprecated API.

2004-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (create_language_section):

	Fix compile in the !HAVE_ISO_CODES case.

2004-11-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for iso-codes package.

	* data/glade/prefs-dialog.glade:
	* lib/ephy-langs.c: (ephy_langs_bind_iso_domains),
	(read_iso_639_entry), (read_iso_3166_entry), (load_iso_entries),
	(ephy_langs_iso_639_table), (ephy_langs_iso_3166_table):
	* lib/ephy-langs.h:

	Load language and locales list from iso-codes package, if available.

	* src/prefs-dialog.c: (prefs_dialog_finalize),
	(add_lang_dialog_selection_changed), (add_lang_dialog_response_cb),
	(get_name_for_lang_code), (add_system_language_entry),
	(setup_add_language_dialog), (create_language_section):

	If the iso-codes package is available, use that to translate
	language names and offer a wider variety of languages.
	Fixes bug #155498.

2004-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:

	Adapt to changing mozilla API here.
	Thanks to Crispin for the patch (adapted from galeon).

2004-11-24  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	Lowercase the lang codes.

2004-11-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Fix string comparisions.

2004-11-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EventContext.cpp:

	Fix missing 'else if' and a superflous failure check.

2004-11-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (add_system_language_entry):

	Fix ngettext usage.

2004-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (update_net_state_message):

	Fix generic 'site' hostname fallback. Fixes bug #155442.

2004-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_add_tab):

	If the signal handler for tab-added reordered the tabs,
	emit the tabs-reordered signal.

2004-11-21  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/print-dialog.h:

	Don't include print-dialog.h in EphyUtils.h.

2004-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/Makefile.am:

	Only build those files when we have mozilla psm.

2004-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Use the dom window from the event.

2004-11-19  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Add --disable-filepicker to use when the mozilla build itself has
	native gtk+ filepicker.

2004-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_string),
	(ephy_extensions_manager_startup),
	(ephy_extensions_manager_finalize):

	Add defines and #ifdef to enable validation; disabled for now.

2004-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Fix opening of content when not downloading automatically.
	Fixes bug #158466.

2004-11-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:

	Disallow favicon links from subframes.

2004-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Include stdlib.h.

2004-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyAboutRedirector.cpp:

	Retain original uri.

2004-11-17  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Fix wrong certificate shown; Epiphany equivalent of galeon bug #158453.

2004-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	
	More cruft exorcised.

2004-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.c: (ephy_embed_show_page_certificate):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/mozilla-embed.cpp:

	Add a way to show the cert info dialogue for the page's certificate.

2004-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:

	No need to include nsEmbedString.h.

2004-11-16  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:

	Make mozilla_notifier_add return the connection ID, and
	mozilla_notifier_remove take that.

2004-11-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/mozilla/mozilla-notifiers.h:

	Simplify the gconf -> mozilla prefs bridge.

2004-11-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:

	Save one strdup.

2004-11-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/Makefile.am:

	Check favicon urls with script sec manager and content policy.

2004-11-14  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.h:

	Fix includes.

2004-11-14  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (build_tab_label):

	Remove unused variable.

2004-11-14  Christian Persch  <chpe@cvs.gnome.org>

	* COPYING:

	Remove notice about tab-loading.gif since we don't have that anymore.

2004-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_autoresume),
	(ephy_session_close), (ephy_session_save):

	Don't save session_crashed.xml while shutting down.

2004-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:

	No need to make the content handler dialogue modal.

2004-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp:

	Better fix for bug #158202, thanks to Christian Biesinger.

2004-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:

	Remove last instances of gnome-i18n.h inclusion.

2004-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozillaPrivate.cpp:

	Fix FMR. Fixes bug #158202.

2004-11-13  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyHeaderSniffer.h:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/FilePicker.h:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:

	nsEmbedString.h now requires MOZILLA_STRICT_API define.

2004-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_size_allocate), (ephy_tab_map):

	Size-allocate the embed if it's not mapped but has never been
	size-allocated before. Fixes bug #156854.

2004-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Update gtk+ dependency.

2004-11-12  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c:

	Add shortcut to Send To menuitem, as per HIG. Fixes bug #148655.

2004-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-shell.c: (save_yourself_cb):

	Don't hardcode "epiphany" as argv[0], use g_get_prgname() instead.
	Fixes bug #118427.

2004-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (ephy_session_close):

	Keep a ref on EphyShell in ephy_session_close(). Otherwise we
	get a crash when the session manager sends us the "die" signal,
	and we don't have a tool window (bme, history) open.

2004-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (remove_obsolete_pages):
	* src/bookmarks/ephy-bookmarks.c: (clear_favorites):

	Fix signed/unsigned int confusion when iterating over
	a GPtrArray.

2004-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-history.c: (remove_pages_from_host_cb),
	(connect_page_removed_from_host), (ephy_history_get_host):
	* src/ephy-history-window.c: (cmd_delete),
	(ephy_history_window_construct):
	* src/ephy-window.c: (ephy_window_fullscreen):

	Implement history deletion on per-site basis. Fixes bug #116609.

2004-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Change column order for the languages list in the code.

2004-11-11  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (idle_unref), (main):

	Don't unref, then weak ref, then enter main loop; this won't work
	when refcount was 1. Instead weakref and unref on idle.
	Fixes bug #136170.

2004-11-11  James Henstridge  <james@jamesh.id.au>

	* src/ephy-extensions-manager.c (load_file_from_monitor): make len
	a gsize rather than an int to fix compilation on 64-bit systems.

2004-11-11  Xan Lopez  <xan@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(delete_topic_dialog_construct), (cmd_delete):

	Do not warn if topic is empty, better title and primary text.

2004-11-10  Xan Lopez  <xan@gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	(delete_topic_dialog_construct), (cmd_delete):

	Warn before deleting a topic, fixes #149294

2004-11-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_init):

	Add resize grip. Fixes bug #137845.

2004-11-10  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Fix opening content with external content handlers.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):

	Fix 2 mem leaks; thanks to Xan for noticing them.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_menu_position_tree_selection):

	Better positioning for the context menu popup in a treeview.
	Patch by Crispin Flowerday.

	Remove obsolete global variables.

2004-11-09  Jordi Mallach  <jordi@sindominio.net>

	* data/Makefile.am (EXTRA_DIST):
	
	Fix typo: s/Applications_DATA/applications_DATA/.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-langs.c: (ephy_langs_sanitise):

	Fix signed/unsigned int confusion exposed by empty accept-lang
	list.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Fix check for nsIPassword.h header to look in the right place.
	Fixes bug #157743.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (add_by_date_filter):

	Simplified the code a bit.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (add_by_date_filter):

	Make it also correct on DST changes.

2004-11-09  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (add_by_date_filter),
	(build_search_box), (save_date_filter):

	Fix time filter for time zones != GMT, and add "Last 30 Minutes" filter.

2004-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Better wording on the "unable to trust" string. Fixes bug #127234.

2004-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):

	This dialogue doesn't need to be modal.

2004-11-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c:

	Order this in the source code by lang code, not english lang name.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (language_editor_update_buttons):

	Fix button sensitivity setting in language editor not to first
	disable the buttons. Fixes moving an item more than once at a time.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* configure.ac:
	A idl/.cvsignore:
	A idl/Makefile.am:
	* src/Makefile.am:

	Add idl/Makefile.am and move src/Makefile.am's EXTRA_DIST there.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_sanitise_popup_position),
	(ephy_gui_menu_position_tree_selection),
	(ephy_gui_menu_position_under_widget):
	* lib/ephy-gui.h:
	* src/ephy-window.c: (popup_menu_at_coords), (show_embed_popup):

	Sanitise the embed popup position. Fixes bug #157162.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (offer_to_resume):

	Better wording for the crash recovery dialogue. Thanks to Spark
	for this.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (find_notebook_at_pointer),
	(is_in_notebook_window):

	Don't detach the tab when releasing the mouse button while still
	over the same window. Fixes bug #143954.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_popup):
	* src/bookmarks/ephy-bookmark-action.c: (show_context_menu),
	(popup_menu_cb), (button_press_cb):
	* src/bookmarks/ephy-topic-action.c: (button_toggled_cb),
	(show_context_menu), (popup_menu_cb), (button_press_cb):
	* src/ephy-window.c: (show_embed_popup):

	When popping up the context menu with keyboard, select the first
	menu item. Fixes bug #154907.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:

	Use GtkMessageDialog here.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* embed/mozilla/mozilla-notifiers.cpp:
	* lib/ephy-langs.c: (ephy_font_n_languages), (ephy_langs_sanitise),
	(ephy_langs_append_languages), (ephy_langs_get_languages):
	* lib/ephy-langs.h:
	* src/prefs-dialog.c: (add_system_language_entry),
	(setup_add_language_dialog), (create_language_section):

	Show language code in the string in languages editor. Fixes bug #115355.

2004-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_init),
	(set_combo_tooltip), (combo_realized),
	(ephy_zoom_control_set_tooltip):

	Make tooltips on the zoom control also work on Ctrl-F1.

2004-11-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_show):

	Make static.

2004-11-04  Pauli Virtanen <pauli.virtanen@hut.fi>

	* help/fi/epiphany-fi.omf:

	Translated entries to Finnish.

2004-11-04  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* help/Makefile.am:
	* help/fi/Makefile.am:
	* help/fi/epiphany-fi.omf:
	* help/fi/epiphany.xml:
	* help/fi/fi.po:
	* help/fi/figures/ephy-addressbar-smartbookmark-screenshot.png:
	* help/fi/figures/ephy-bookmarkbar-smartbookmark-screenshot.png:
	* help/fi/figures/ephy-history-window-screenshot.png:
	* help/fi/figures/ephy-screenshot.png:
	* help/fi/legal.xml:

	Added manual translation into Finnish, by Pauli Virtanen.

2004-11-04  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Updated glib dependency.

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):

	Use g_filename_display_name() here.

2004-11-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (modal_alert_cb):

	Also bring the window to the front.

2004-11-03  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_file), (load_file_from_monitor):

	Free XML data after parsing it. Noticed by jfr. I'm an idiot.

2004-11-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c:
	* embed/ephy-command-manager.c:
	* embed/ephy-cookie-manager.c:
	* embed/ephy-download.c:
	* embed/ephy-embed-dialog.c:
	* embed/ephy-embed-event.c:
	* embed/ephy-embed-factory.c:
	* embed/ephy-embed-persist.c:
	* embed/ephy-embed-shell.c:
	* embed/ephy-embed-single.c:
	* embed/ephy-embed.c:
	* embed/ephy-encodings.c:
	* embed/ephy-favicon-cache.c:
	* embed/ephy-history.c:
	* embed/ephy-password-manager.c:
	* embed/ephy-permission-manager.c:
	* embed/find-dialog.c:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyAboutRedirector.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/MozRegisterComponents.cpp:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* embed/print-dialog.c:
	* lib/eel-gconf-extensions.c:
	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-toolbars-model.c:
	* lib/ephy-debug.c:
	* lib/ephy-debug.h:
	* lib/ephy-dialog.c:
	* lib/ephy-dnd.c:
	* lib/ephy-file-chooser.c:
	* lib/ephy-file-helpers.c:
	* lib/ephy-glade.c:
	* lib/ephy-gui.c:
	* lib/ephy-langs.c:
	* lib/ephy-loader.c:
	* lib/ephy-module.c:
	* lib/ephy-node-db.c:
	* lib/ephy-node-filter.c:
	* lib/ephy-node.c:
	* lib/ephy-shlib-loader.c:
	* lib/ephy-state.c:
	* lib/ephy-stock-icons.c:
	* lib/ephy-string.c:
	* lib/ephy-zoom.c:
	* lib/widgets/ephy-location-entry.c:
	* lib/widgets/ephy-node-view.c:
	* lib/widgets/ephy-search-entry.c:
	* lib/widgets/ephy-spinner.c:
	* lib/widgets/ephy-tree-model-node.c:
	* lib/widgets/ephy-tree-model-sort.c:
	* lib/widgets/ephy-zoom-action.c:
	* lib/widgets/ephy-zoom-control.c:
	* src/bookmarks/ephy-bookmark-action.c:
	* src/bookmarks/ephy-bookmark-properties.c:
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/bookmarks/ephy-bookmarks-export.c:
	* src/bookmarks/ephy-bookmarks-import.c:
	* src/bookmarks/ephy-bookmarks-menu.c:
	* src/bookmarks/ephy-bookmarks.c:
	* src/bookmarks/ephy-bookmarksbar-model.c:
	* src/bookmarks/ephy-bookmarksbar.c:
	* src/bookmarks/ephy-favorites-menu.c:
	* src/bookmarks/ephy-new-bookmark.c:
	* src/bookmarks/ephy-topic-action.c:
	* src/bookmarks/ephy-topics-selector.c:
	* src/ephy-automation.c:
	* src/ephy-completion-model.c:
	* src/ephy-encoding-dialog.c:
	* src/ephy-encoding-menu.c:
	* src/ephy-extension.c:
	* src/ephy-extensions-manager.c:
	* src/ephy-favicon-action.c:
	* src/ephy-go-action.c:
	* src/ephy-history-window.c:
	* src/ephy-location-action.c:
	* src/ephy-main.c:
	* src/ephy-navigation-action.c:
	* src/ephy-notebook.c:
	* src/ephy-session.c:
	* src/ephy-shell.c:
	* src/ephy-statusbar.c:
	* src/ephy-tab.c:
	* src/ephy-tabs-menu.c:
	* src/ephy-toolbars-model.c:
	* src/ephy-window.c:
	* src/pdm-dialog.c:
	* src/popup-commands.c:
	* src/ppview-toolbar.c:
	* src/prefs-dialog.c:
	* src/toolbar.c:
	* src/window-commands.c:

	We always have config.h, no need to guard its inclusion.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_init),
	(ephy_zoom_control_set_tooltip):

	Fix zoom control so that it shows tooltips again. Fixes bug #155826.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 1.5.1 ===

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (ephy_location_entry_init),
	(ephy_location_entry_activate):
	* src/ephy-location-action.c: (ephy_location_action_class_init):
	* src/ephy-window.c: (ephy_window_init):
	* src/toolbar.c: (toolbar_class_init), (toolbar_finalize),
	(maybe_finish_activation_cb), (toolbar_activate_location),
	(toolbar_update_zoom), (toolbar_new):
	* src/toolbar.h:

	Don't deactivate the toolbar when another item in the same toolbar
	gains focus. Fixes bug #155650.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (update_status_icon):

	Remove seconds remaining display from tooltip of tray icon.
	Fixes bug #145955.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Bump version number and fix aclocal flags.

	* doc/reference/tmpl/ephy-embed-persist.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-extensions-manager.sgml:
	* doc/reference/tmpl/ephy-window.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:

	Update.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (properties_activate_cb),
	(bookmark_destroy_cb), (ephy_bookmark_action_finalize):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_new):
	* src/bookmarks/ephy-bookmark-properties.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (show_properties_dialog),
	(ephy_bookmarks_editor_finalize), (ephy_bookmarks_editor_init):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init),
	(ephy_bookmarks_finalize), (ephy_bookmarks_add_keyword),
	(prop_dialog_destroy_cb), (bookmark_destroyed_cb),
	(ephy_bookmarks_show_bookmark_properties):
	* src/bookmarks/ephy-bookmarks.h:

	Make sure there's only one bookmark properties dialogue for each
	bookmark. Fixes bug #148398 and also bug #155880.

2004-11-01  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (callback), (remove_invalidated_signals),
	(ephy_node_emit_signal), (signal_object_weak_notify),
	(ephy_node_new_with_id), (ephy_node_signal_connect_object),
	(remove_matching_signal_data), (invalidate_matching_signal_data),
	(ephy_node_signal_disconnect_object),
	(ephy_node_signal_disconnect):

	Fix a nasty bug when removing signal handlers during a node signal
	emission. Don't remove the handler immediately, but invalidate it,
	and remove it after all emissions are done. Part of bug #155880.

2004-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_string):

	Disable extensions description validation for now.

2004-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (assign_localised_string),
	(ephy_extensions_manager_load_string),
	(ephy_extensions_manager_class_init):

	Process xml:lang in extension description files.

2004-10-31  Christian Persch  <chpe@cvs.gnome.org>

	* NEWS:

	Updated.

2004-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-state.c: (ephy_state_window_set_size):
	* src/ephy-session.c: (write_window_geometry), (int_from_string),
	(restore_geometry), (ephy_session_load):

	Fix restoring window size on crash recovery by moving the setting
	of the size before the initial show which occurs from 
	ephy_shell_new_tab from parse_embed. Fixes bug #156881.

2004-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Check for nsIDOMNSEvent::GetIsTrusted.

	* embed/mozilla/EphyBrowser.cpp:

	Conditionally compile this code.

	* lib/ephy-marshal.list:

	Forgot to commit this.

2004-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/ephy-embed.c: (ephy_embed_base_init):
	* embed/ephy-embed.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* src/ephy-window.c: (modal_alert_cb), (tab_added_cb),
	(tab_removed_cb):

	When showing a modal alert put up by a web page, switch the window
	to that tab.

2004-10-30  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-shlib-loader.c: (impl_release_object):
	* src/ephy-extensions-manager.c: (idle_unref), (unload_extension):

	Move idle unreffing to extensions manager. Makes sure that extensions
	are finalised.

2004-10-29  Adam Hooper  <adamh@cvs.gnome.org>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_string), (path_to_identifier),
	(ephy_extensions_manager_load_file), (sync_loaded_extensions),
	(ephy_extensions_manager_unload_file), (load_file_from_monitor),
	(dir_changed_cb), (ephy_extensions_manager_load_dir),
	(active_extensions_notifier), (ephy_extensions_manager_finalize),
	(ephy_extensions_manager_class_init):
	* src/ephy-extensions-manager.h:

	Listen for changes to extension directories using
	gnome_vfs_monitor_add(). Paves the way for drag-and-drop installation
	of extensions, and makes extensions immediately available when
	installing via 'make install', 'apt-get install', etc.

2004-10-29  Adam Hooper  <adamh@cvs.gnome.org>

	* data/epiphany-extension.xsd:

	Comment that unfortunately, elements in <extension> must be in order.

2004-10-29  Adam Hooper  <adamh@cvs.gnome.org>

	* configure.ac:

	Depend on libxml 2.6.12 (for its fix of bug 150647).

2004-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (open_bookmark_cb),
	(open_bookmark_in_tab_cb), (add_action_for_bookmark),
	(create_submenu), (ephy_bookmarks_menu_rebuild),
	(ephy_bookmarks_menu_set_property),
	(ephy_bookmarks_menu_get_property),
	(ephy_bookmarks_menu_constructor), (ephy_bookmarks_menu_finalize),
	(ephy_bookmarks_menu_class_init), (ephy_bookmarks_menu_new):
	* src/bookmarks/ephy-bookmarks-menu.h:
	* src/ephy-window.c: (open_bookmark_cb), (ephy_window_init):

	Slightly refactor bookmarks menu, to take a configurable path
	where to merge its UI.

2004-10-29  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (can_open_in_tabs),
	(open_in_tabs_activate_cb), (add_open_in_tabs_menu),
	(build_bookmarks_menu), (show_context_menu):

	Don't open all bookmarks in tabs. Fixes bug #156843.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (sync_shadow_type), (ephy_statusbar_init):

	Correctly change the statusbar children's frams's shadow type when
	the statusbar shadow type changes.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_dialog_new):

	Print dialogue isn't an EphyEmbedDialog anymore, remove the
	include.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_init):
	* embed/ephy-embed-persist.c: (ephy_embed_persist_init),
	(ephy_embed_persist_to_string):
	* embed/ephy-embed-shell.c: (ephy_embed_shell_init):
	* embed/find-dialog.c: (find_dialog_init):
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* lib/ephy-dialog.c: (ephy_dialog_set_modal), (ephy_dialog_init):
	* lib/ephy-file-chooser.c: (ephy_file_chooser_init):
	* lib/ephy-node-db.c: (ephy_node_db_init):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_init):
	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_init):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_init):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_init):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init):
	* src/bookmarks/ephy-favorites-menu.c: (ephy_favorites_menu_init):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_init):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_init):
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_init):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_init):
	* src/ephy-favicon-action.c: (ephy_favicon_action_init):
	* src/ephy-location-action.c: (ephy_location_action_init):
	* src/ephy-notebook.c: (ephy_notebook_init):
	* src/ephy-session.c: (ephy_session_init):
	* src/ephy-shell.c: (ephy_shell_init):
	* src/ephy-tab.c: (ephy_tab_init):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_init):
	* src/ephy-window.c: (ephy_window_init):
	* src/pdm-dialog.c: (pdm_dialog_init):
	* src/ppview-toolbar.c: (ppview_toolbar_init):

	Private data is 0-initialised, no need to set members to NULL,  0,
	or FALSE.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.h:

	Remove unused signal from EphyNodeView struct.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_sync_label), (connect_proxy):

	Fix label of "All" topic on bookmarksbar.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c: (completion_func):

	Avoid strdups in entry completion func. Patch by Peter Harvey.

2004-10-27  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (create_tool_item),
	(ephy_bookmark_action_sync_label), (connect_proxy),
	(bookmark_changed_cb):
	* src/bookmarks/ephy-bookmarks-menu.c: (connect_proxy_cb),
	(ensure_bookmark_actions), (ephy_bookmarks_menu_rebuild):
	* src/bookmarks/ephy-favorites-menu.c: (connect_proxy_cb),
	(ephy_favorites_menu_rebuild):
	* src/bookmarks/ephy-topic-action.c:
	(ephy_topic_action_sync_label), (append_bookmarks_menu),
	(build_topics_menu), (connect_proxy), (topic_changed_cb):

	Use ellipsising labels to shorten the bookmarks and topics titles in
	menus, instead of chopping the strings off at the end. 
	Fixes bug #147765.

	Use gtk_entry_set_width_chars() to set the smart bookmark entry width,
	not gtk_widget_set_size_request().

2004-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (offer_to_resume):

	Revert last change, it's a warning after all.

2004-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (confirm_close_with_modified_forms):

	Make the confirm-close-with-form-data dialogue window modal, instead
	of app modal.

2004-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-session.c: (offer_to_resume):

	Make the crash revovery dialogue GTK_MESSAGE_QUESTION instead of
	_WARNING.

2004-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_confirm_overwrite_file):
	* src/bookmarks/ephy-new-bookmark.c: (duplicate_dialog_construct):
	* src/ephy-history-window.c: (confirmation_dialog_response_cb),
	(confirmation_dialog_construct), (cmd_clear):
	* src/ephy-session.c: (offer_to_resume):
	* src/ephy-window.c: (confirm_close_with_modified_forms):

	Use new gtk+ HIG message dialogue API. Fixes bug #130232.

2004-10-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):

	Use gtk_widget_get_settings on the EphyDialog's window, not on the
	dialog itself.

2004-10-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Use named icon for the logo in about dialogue.

2004-10-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (ephy_extensions_manager_init),
	(ephy_extensions_manager_startup):
	* src/ephy-extensions-manager.h:
	* src/ephy-shell.c: (ephy_shell_get_extensions_manager):

	De-couple instantiation and initialisation of the extensions manager.
	Fixes double-instance and weirdness and double-type-registration
	on startup when extensions use the session in their instance_init.

2004-10-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_remove_tab):
	* src/ephy-window.c: (ephy_window_get_active_tab):

	Move window destruction after tab-removed signal emission.
	Fixes bug #151607.

2004-10-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.h:

	Fix return type of tab_delete slot.

2004-10-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy),
	(bookmark_changed_cb):
	* src/bookmarks/ephy-topic-action.c: (create_menu_item),
	(topic_changed_cb):

	Unset the use-underline label property instead of doubling the
	underscores. Saves tons of strdups.

2004-10-25  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):
	* lib/widgets/ephy-spinner.c: (ephy_spinner_cache_get_images),
	(ephy_spinner_size_request):
	* src/ephy-notebook.c: (tab_label_style_set_cb):
	* src/window-commands.c: (window_cmd_help_about):

	Use gtk_icon_size_lookup_for_settings() here.

2004-10-24  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (callback), (ephy_node_set_property),
	(ephy_node_signal_connect_object), (match_signal_data),
	(ephy_node_signal_disconnect_object):
	* lib/ephy-node.h:

	Add EPHY_NODE_CHANGED signal. Patch by Peter Harvey.

	* src/bookmarks/ephy-bookmark-action.c: (favicon_cache_changed_cb),
	(ephy_bookmark_action_sync_icon),
	(ephy_bookmark_action_sync_label), (open_in_tab_activate_cb),
	(open_in_window_activate_cb), (activate_cb), (drag_data_get_cb),
	(properties_activate_cb), (bookmark_changed_cb),
	(bookmark_destroy_cb), (ephy_bookmark_action_set_bookmark),
	(ephy_bookmark_action_set_property),
	(ephy_bookmark_action_get_property),
	(ephy_bookmark_action_finalize), (ephy_bookmark_action_class_init),
	(smart_child_added_cb), (smart_child_removed_cb),
	(ephy_bookmark_action_init), (ephy_bookmark_action_new):
	* src/bookmarks/ephy-bookmark-action.h:
	* src/bookmarks/ephy-bookmarks-menu.c: (add_action_for_bookmark):
	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_action_request):
	* src/bookmarks/ephy-favorites-menu.c:
	(ephy_favorites_menu_rebuild):
	* src/bookmarks/ephy-topic-action.c: (build_menu),
	(topic_changed_cb), (ephy_topic_action_set_topic),
	(ephy_topic_action_set_property), (ephy_topic_action_get_property),
	(ephy_topic_action_class_init), (ephy_topic_action_init),
	(ephy_topic_action_new):
	* src/bookmarks/ephy-topic-action.h:

	Changed ephy_[bookmark|topic]_action_new from node-id to node. Saves one
	round-trip node->node-id->node.

	Save lots of strdups by using the node's properties directly, instead of
	storing them again in the action.

	Listen to changes on the node itself, not for child-changed on the
	bookmarks node.

2004-10-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp: (mozilla_embed_single_dispose):
	* lib/ephy-dialog.c: (ephy_dialog_dispose):
	* src/ephy-session.c: (ephy_session_dispose):

	Chain up to parent's dispose handler.

2004-10-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_get_type):
	* embed/ephy-command-manager.c: (ephy_command_manager_get_type):
	* embed/ephy-cookie-manager.c: (ephy_cookie_get_type),
	(ephy_cookie_manager_get_type):
	* embed/ephy-download.c: (ephy_download_get_type):
	* embed/ephy-embed-dialog.c: (ephy_embed_dialog_get_type):
	* embed/ephy-embed-event.c: (ephy_embed_event_get_type):
	* embed/ephy-embed-persist.c: (ephy_embed_persist_get_type):
	* embed/ephy-embed-shell.c: (ephy_embed_shell_get_type):
	* embed/ephy-embed-single.c: (ephy_embed_single_get_type):
	* embed/ephy-embed.c: (ephy_embed_get_type):
	* embed/ephy-encodings.c: (ephy_encodings_get_type):
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_get_type):
	* embed/ephy-history.c: (ephy_history_get_type):
	* embed/ephy-password-manager.c: (ephy_password_info_get_type),
	(ephy_password_manager_get_type):
	* embed/ephy-permission-manager.c: (ephy_permission_info_get_type),
	(ephy_permission_manager_get_type):
	* embed/find-dialog.c: (find_dialog_get_type):
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed-persist.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* lib/egg/egg-editable-toolbar.c: (egg_editable_toolbar_get_type):
	* lib/egg/egg-toolbar-editor.c: (egg_toolbar_editor_get_type):
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_get_type):
	* lib/ephy-dialog.c: (ephy_dialog_get_type):
	* lib/ephy-file-chooser.c: (ephy_file_chooser_get_type):
	* lib/ephy-loader.c: (ephy_loader_get_type):
	* lib/ephy-module.c: (ephy_module_get_type):
	* lib/ephy-node-db.c: (ephy_node_db_get_type):
	* lib/ephy-node-filter.c: (ephy_node_filter_get_type):
	* lib/ephy-shlib-loader.c: (ephy_shlib_loader_get_type):
	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_get_type):
	* lib/widgets/ephy-node-view.c: (ephy_node_view_get_type):
	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_get_type):
	* lib/widgets/ephy-spinner.c: (ephy_spinner_cache_get_type),
	(ephy_spinner_get_type):
	* lib/widgets/ephy-tree-model-node.c:
	(ephy_tree_model_node_get_type):
	* lib/widgets/ephy-tree-model-sort.c:
	(ephy_tree_model_sort_get_type):
	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_get_type):
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_get_type):
	* src/bookmarks/ephy-bookmark-action.c:
	(ephy_bookmark_action_get_type):
	* src/bookmarks/ephy-bookmark-properties.c:
	(ephy_bookmark_properties_get_type):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_get_type):
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_get_type):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_get_type):
	* src/bookmarks/ephy-bookmarksbar-model.c:
	(ephy_bookmarksbar_model_get_type):
	* src/bookmarks/ephy-bookmarksbar.c: (ephy_bookmarksbar_get_type):
	* src/bookmarks/ephy-favorites-menu.c:
	(ephy_favorites_menu_get_type):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_get_type):
	* src/bookmarks/ephy-topic-action.c: (ephy_topic_action_get_type):
	* src/bookmarks/ephy-topics-selector.c:
	(ephy_topics_selector_get_type):
	* src/ephy-completion-model.c: (ephy_completion_model_get_type):
	* src/ephy-encoding-dialog.c: (ephy_encoding_dialog_get_type):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_get_type):
	* src/ephy-extension.c: (ephy_extension_get_type):
	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_get_type):
	* src/ephy-favicon-action.c: (ephy_favicon_action_get_type):
	* src/ephy-go-action.c: (ephy_go_action_get_type):
	* src/ephy-history-window.c: (ephy_history_window_get_type):
	* src/ephy-location-action.c: (ephy_location_action_get_type):
	* src/ephy-navigation-action.c: (ephy_navigation_action_get_type):
	* src/ephy-notebook.c: (ephy_notebook_get_type):
	* src/ephy-session.c: (ephy_session_get_type):
	* src/ephy-shell.c: (ephy_shell_get_type):
	* src/ephy-statusbar.c: (ephy_statusbar_get_type):
	* src/ephy-tab.c: (ephy_tab_get_type):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_get_type):
	* src/ephy-toolbars-model.c: (ephy_toolbars_model_get_type):
	* src/ephy-window.c: (ephy_window_get_type):
	* src/pdm-dialog.c: (pdm_dialog_get_type):
	* src/ppview-toolbar.c: (ppview_toolbar_get_type):
	* src/prefs-dialog.c: (prefs_dialog_get_type):
	* src/toolbar.c: (toolbar_get_type):

	Annotate "if (type == 0)" in get_type functions with G_UNLIKELY,
	like the G_TYPE_DEFINE macros do.

2004-10-23  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-node-view.c: (drag_data_received_cb):
	* src/ephy-notebook.c: (notebook_drag_data_received_cb):

	Use gtk_selection_data_get_uris().

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c: (load_extension),
	(unload_extension):

	Only multiplex [attach|detach]_window to extensions implementing the
	EphyExtension interface.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-string.c: (ephy_string_double_underscores):
	* lib/ephy-string.h:
	* lib/widgets/ephy-node-view.c: (drag_data_received_cb):
	* src/bookmarks/ephy-bookmarks-editor.c: (node_dropped_cb):
	* src/ephy-notebook.c: (notebook_drag_data_received_cb):
	* src/ephy-window.c: (ephy_window_load_in_tabs):
	* src/ephy-window.h:

	Remove ephy_string_parse_uri_list, and use new glib function
	g_uri_list_extract_uris() instead.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (build_tab_label):

	Add tooltip on close button. Thanks to spark for the string review;
	fixes bug #155828.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-favicon-action.c: (create_tool_item), (set_tooltip_cb),
	(connect_proxy), (ephy_favicon_action_set_property),
	(ephy_favicon_action_get_property):
	* src/toolbar.c: (toolbar_setup_actions):

	Add tooltip on the drag handle. Fixes bug #155827.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (set_tooltip_cb), (connect_proxy),
	(ephy_navigation_action_finalize),
	(ephy_navigation_action_set_property),
	(ephy_navigation_action_get_property),
	(ephy_navigation_action_class_init):
	* src/ephy-navigation-action.h:
	* src/toolbar.c: (toolbar_setup_actions):

	Add tooltips on the arrows, and fix the tooltip on the "Up" button
	to be consistent with nautilus. Thanks to spark for the string review;
	fixes bug #155825.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_register):

	Remove bogus debug output.

2004-10-22  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (ephy_dialog_get_controls):
	* lib/ephy-dialog.h:

	Add varargs version of ephy_dialog_get_control to get more
	than one control at a time.

 	* embed/downloader-view.c: (downloader_view_build_ui):
	* src/pdm-dialog.c: (pdm_dialog_show_help), (pdm_dialog_init):
	* src/prefs-dialog.c: (prefs_dialog_show_help),
	(setup_add_language_dialog), (create_language_section),
	(prefs_dialog_init):

	Use that.

2004-10-21  Jordi Mallach  <jordi@sindominio.net>

	* doc/Makefile.am:
	* doc/epiphany.1:

	Add manpage from Debian. Fixes bug #156067.

2004-10-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggstatusicon.c: (egg_status_icon_init),
	(egg_status_icon_button_press):

	Better fix, taken from bug #135861.

2004-10-21  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/eggstatusicon.c: (egg_status_icon_button_press):

	Activate with double-click, as per HIG. Fixes bug #152899.

2004-10-19  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-import.c: (xbel_parse_xbel):

	Fix import of bookmarks in root folder. Fixes bug #152443.

2004-10-18  Adam Hooper  <adamh@cvs.gnome.org>

	* data/epiphany-extension.xsd:
	* src/ephy-extensions-manager.c:
	(ephy_extensions_manager_load_file), (load_extension),
	(xml_error_cb), (init_schema_ctxt), (ephy_extensions_manager_init),
	(ephy_extensions_manager_finalize):

	Validate extension XML files against an XSD Schema.

2004-10-18  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Autoupdated.

2004-10-17  Adam Hooper  <adamh@cvs.gnome.org>

	* doc/reference/Makefile.am:
	* doc/reference/epiphany.types:

	Fix compilation

2004-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-node.c: (signal_object_weak_notify),
	(destroy_signal_data), (ephy_node_destroy),
	(ephy_node_new_with_id), (ephy_node_unref):

	Fix EphyNode callback data destruction. Patch by Peter Harvey,
	fixes bug #152718.

2004-10-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:
	R lib/ephy-module-loader.c:
	R lib/ephy-module-loader.h:
	A lib/ephy-module.c: (ephy_module_get_type), (ephy_module_load),
	(ephy_module_unload), (ephy_module_get_path),
	(ephy_module_new_object), (ephy_module_init),
	(ephy_module_finalize), (ephy_module_class_init),
	(ephy_module_new):
	A lib/ephy-module.h:

	s/EphyModuleLoader/EphyModule/g since "loader" now means something
	different.

	A lib/ephy-loader.c: (ephy_loader_get_type), (ephy_loader_type),
	(ephy_loader_get_object), (ephy_loader_release_object):
	A lib/ephy-loader.h:

	Generic object loader.

	A lib/ephy-shlib-loader.c: (ephy_shlib_loader_get_type),
	(free_loader_data), (ephy_shlib_loader_init),
	(ephy_shlib_loader_finalize), (find_library), (find_object),
	(idle_unref), (impl_get_object), (impl_release_object),
	(ephy_shlib_loader_iface_init), (ephy_shlib_loader_class_init):
	A lib/ephy-shlib-loader.h:

	A .so loader.

	* src/Makefile.am:
	* src/ephy-extensions-manager.c: (ephy_extensions_manager_load),
	(ephy_extensions_manager_unload),
	(ephy_extensions_manager_register),
	(ephy_extensions_manager_get_extensions), (free_extension_info),
	(free_loader_info), (find_extension_info),
	(ephy_extensions_manager_load_file), (find_loader),
	(get_loader_for_type), (attach_window), (load_extension),
	(detach_window), (unload_extension),
	(ephy_extensions_manager_load_dir), (active_extensions_notifier),
	(ephy_extensions_manager_init), (ephy_extensions_manager_finalize),
	(impl_attach_window), (impl_detach_window),
	(ephy_extensions_manager_class_init):
	* src/ephy-extensions-manager.h:

	Read extension descriptions from .xml, load them with the specified
	loader (for now, just only .so is supported).

	* src/ephy-shell.c: (ephy_shell_finalize),
	(ephy_shell_get_session), (ephy_shell_get_extensions_manager):

	Minor API change in extensions manager.

	* data/epiphany.schemas.in:

	Add extensions-manager-ui as default active extension.

2004-10-10  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christian Persch  <chpe@cvs.gnome.org>

	* data/glade/print.glade:
	* embed/ephy-embed-single.c: (ephy_embed_single_get_printer_list):
	* embed/ephy-embed-single.h:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyUtils.h:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/MozillaPrivate.cpp:
	* embed/mozilla/MozillaPrivate.h:
	* embed/mozilla/PrintingPromptService.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/print-dialog.c: (ephy_print_dialog_new):
	* lib/ephy-dialog.c: (set_combo_box_from_value):

	Move current MozillaPrivate helpers to EphyUtils.
	Use MozillaPrivate for stuff that needs mozilla
	internal strings.

	Support multiple printers in the print dialog.
	This is actually a bug fix because on several
	distributions using hardcoded Poscript/default
	will simply not work at all.

2004-10-10  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* src/Makefile.am:

	Remove duplicate AM_PROG_INTLTOOL, fixes bug #155028.
	Use AM_GLIB_DEFINE_LOCALEDIR to define locale dir.

2004-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c:
	* src/ephy-tab.h:
	* src/ephy-window.c:
	* src/ephy-window.h:

	No circular dependencies anymore.

2004-10-08  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-menu.c: (bookmark_added_cb):

	When adding a bookmark, check if it has same node ID as one
	scheduled for removal, and if so, process the removal immediately.
	Fixes bug #154805.

2004-10-08  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (get_name_from_address_value),
	(update_popups_tooltips), (show_embed_popup):

	Add tooltips for context menus. Fix #151764

2004-10-08  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (setup_default_size):
	* lib/ephy-state.c: (create_window_node), (ephy_state_add_window):
	* lib/ephy-state.h:
	* src/bookmarks/ephy-bookmark-properties.c: (build_ui):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_construct):
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/ephy-window.c: (ephy_window_show):
	* src/pdm-dialog.c: (show_cookies_properties):
	* src/window-commands.c: (window_cmd_edit_toolbar):

	Allow to set the default window state to maximize.
	Default to maximize for the browser window.

2004-10-07  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:

	Initialize plugins path env var for backward compatibility

2004-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed.h:

	Remove unnecessary include.

2004-10-06  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_set_property),
	(ephy_window_get_property), (ephy_window_class_init),
	(ephy_window_set_print_preview):

	Notify when entering or leaving print preview mode. Fixes bug #154591.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany.schemas.in:

	Grammar fix. Fixes bug #154605.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-navigation-action.c: (build_back_or_forward_menu),
	(build_up_menu), (menu_activated_cb):

	Fix a warning, noticed by Crispin.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (ephy_window_key_press_event):

	Don't allow activation of the hidden menubar in ppv mode.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-window.c: (get_chromes_visibility),
	(ephy_window_fullscreen), (ephy_window_unfullscreen),
	(ephy_window_delete_event_cb), (show_embed_popup),
	(ephy_window_init), (ephy_window_set_print_preview):

	Fix print preview and fullscreen mode interaction. Fixes bug #154456.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-tab.c: (ephy_tab_size_allocate), (ephy_tab_map),
	(ephy_tab_class_init):

	Don't size-allocate unmapped tabs, fixing slow resizes.
	Fixes bug #128191.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/egg/Makefile.am:
	R lib/egg/eggdropdowntoolbutton.c:
	R lib/egg/eggdropdowntoolbutton.h:
	* src/ephy-navigation-action.c: (menu_activated_cb),
	(connect_proxy), (ephy_navigation_action_class_init):

	Port to GtkMenuToolButton.

2004-10-05  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:

	Set window icon.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-gui.c: (ephy_gui_menu_position_tree_selection),
	(ephy_gui_confirm_overwrite_file):
	* src/ephy-window.c: (confirm_close_with_modified_forms),
	(ephy_window_init):

	Set window icon.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmark-properties.c: (set_window_icon),
	(ephy_bookmark_properties_get_node):
	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_construct):
	* src/bookmarks/ephy-new-bookmark.c: (ephy_new_bookmark_construct),
	(duplicate_dialog_construct):
	* src/ephy-history-window.c: (ephy_history_window_construct):
	* src/window-commands.c: (window_cmd_edit_toolbar):

	Set window icon.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-file-chooser.c: (ephy_file_chooser_constructor):

	Set ephy icon as window icon.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/pdm-dialog.c: (pdm_dialog_init):

	Set ephy icon as window icon.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/prefs-dialog.c: (prefs_dialog_init):

	Same here.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/find-dialog.c: (find_dialog_init):

	Same here.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/print-dialog.c: (ephy_print_dialog_new),
	(ephy_print_setup_dialog_new):

	Set window icon with gtk_window_set_icon_name().

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_build_ui):

	Set the window icon.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (downloader_view_add_download):

	Arg 4 of gtk_icon_theme_lookup_icon is flags, not height.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Set epiphany icon on the about dialogue.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* src/ppview-toolbar.c: (ppview_toolbar_get_type),
	(ppview_toolbar_class_init), (ppview_toolbar_set_property),
	(ppview_toolbar_get_property), (ppview_toolbar_set_window),
	(ppview_toolbar_init), (ppview_toolbar_finalize),
	(ppview_toolbar_new), (toolbar_cmd_ppv_close):
	* src/ppview-toolbar.h:

	Clean up a bit.

2004-10-04  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Fix a warning.

2004-10-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Remove unused variable.

2004-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/MozDownload.cpp:
	* lib/ephy-file-helpers.c: (ephy_file_downloads_dir),
	(ephy_file_desktop_dir):
	* lib/ephy-file-helpers.h:
	* src/prefs-dialog.c: (get_download_button_label):

	Recognise "Desktop" special downloads directory. Fixes bug #152926.

2004-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Add --with-mozilla to distcheck's configure arguments. 

2004-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Simply use gtk_icon_theme_load_icon().

2004-10-02  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-main.c: (main):
	* src/ephy-window.c: (ephy_window_init):

	Use gtk_window_set_default_icon_name().

2004-09-30  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/mozilla-notifiers.cpp:

	Remove explicit PAC autoconf call, it works perfectly ok without it.

2004-09-28  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-debug.c: (trap_handler):

	Remove "abort", since you can have the same with --g-fatal-warnings.

2004-09-28  Christian Persch  <chpe@cvs.gnome.org>

	* doc/debugging.txt:

	Document EPHY_DEBUG_BREAK.

2004-09-28  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* data/Makefile.am:
	A data/default-prefs-common.js:
	A data/default-prefs-mozilla.js:
	A data/default-prefs-toolkit.js:
	R data/default-prefs.js:

	Split the default prefs into the common part, and mozilla/new toolkit
	specific parts.

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/egg/Makefile.am:
	* src/bookmarks/ephy-bookmark-action.c: (remove_from_model),
	(move_in_model):
	* src/bookmarks/ephy-bookmarks.c:
	(ephy_bookmarks_get_toolbars_model):
	* src/bookmarks/ephy-bookmarks.h:
	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_set_property):
	* src/bookmarks/ephy-topic-action.c: (remove_from_model),
	(move_in_model):
	* src/ephy-shell.c: (ephy_shell_get_toolbars_model):

	Don't reference private objects from public headers. Fixes bug #153766.

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/ephy-debug.c: (trap_handler), (ephy_debug_init):

	Remove the hack, and just use the libc function for it.
	Thanks to Crispin for suggesting this.
	
2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Improve configure check for DumpStackToFile to actually work.

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* lib/ephy-debug.c: (trap_handler), (ephy_debug_init):

	Improved debugging support. Fixes bug #153805.

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* data/ui/epiphany-ui.xml:

	Install a placeholder for the view toggles group. Fixes bug #153767.

2004-09-27  Christian Persch  <chpe@cvs.gnome.org>

	* lib/Makefile.am:

	Make ephy-state.h public. Fixes bug #153809.

2004-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EventContext.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:
	* lib/egg/eggtrayicon.h:

	Fix compiler warnings.

	* src/ephy-window.c: (hide_embed_popup_cb), (show_embed_popup):

	Fix a signal leak.

2004-09-26  Christian Persch  <chpe@cvs.gnome.org>

	* src/popup-commands.c: (popup_cmd_bookmark_link),
	(popup_cmd_copy_image_location):

	Remove some unused code. Patch by Crispin Flowerday.

2004-09-27  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/egg/Makefile.am:

	Install egg-toolbars-model.h

2004-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove another unnecessary define.

2004-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Remove an unnecessary define.

2004-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:

	Mozilla API changes.

2004-09-23  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Remove reference to MOZILLA_FIVE_HOME.

2004-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Fix a mem leak.

2004-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (drag_motion_cb):

	Fix a mem leak.

2004-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-dialog.c: (set_editable_from_value):

	Initialise position passed to gtk_editable_insert_text().

2004-09-22  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-download.c: (update_remaining_time):

	Fix the build.

2004-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/EphyContentPolicy.cpp:

	Simplified nsIContentPolicy API check.

2004-09-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:
	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/ContentHandler.h:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/EphyContentPolicy.cpp:
	* embed/mozilla/FilePicker.cpp:
	* embed/mozilla/GlobalHistory.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozDownload.cpp:
	* embed/mozilla/mozilla-download.cpp:
	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* embed/mozilla/mozilla-notifiers.cpp:

	Fix mozilla API checks to correctly detect firefox libraries.

2004-09-21  Marco Pesenti Gritti  <marco@gnome.org>

	* embed/ephy-download.c: (update_remaining_time):

	Fix overflow in remaining time calculation. Fix bug
	#153136. Thanks to Jhon Spray for tracking this.

2004-09-18  Christian Persch  <chpe@cvs.gnome.org>

	* embed/downloader-view.c: (progress_cell_data_func):
	* embed/mozilla/MozDownload.cpp:

	Fix download progress indicator in downloader view.

2004-09-18  Marco Pesenti Gritti  <marco@gnome.org>

	reviewed by: Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-persist.h:
	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_download):
	* embed/mozilla/MozDownload.cpp:

	Enable conversion for favicon downloads. Fix #152866.

2004-09-16  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-window.c: (ephy_window_focus_in_event),
	(ephy_window_focus_out_event), (ephy_window_class_init):

	Show the fullscreen button only when the window is active.
	Fix #115296.

2004-09-16  Marco Pesenti Gritti  <marco@gnome.org>

	* src/ephy-window.c: (update_fullscreen_popup),
	(screen_size_changed_cb), (fullscreen_popup_size_request_cb),
	(ephy_window_fullscreen):

	Keep popup position synced with his size requisition.
	Fix #143585

2004-09-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/window-commands.c: (window_cmd_help_about):

	Port to GtkAboutDialog.

2004-09-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/mozilla-embed.cpp:

	More fix for mozilla 1.7.3 API-non-change.

2004-09-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyBrowser.h:
	* embed/mozilla/GlobalHistory.cpp:

	Fix for mozilla 1.7.3 API-non-change.

2004-09-15  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/widgets/ephy-node-view.c: (ephy_node_view_add_toggle),
	(ephy_node_view_popup):
	* lib/widgets/ephy-node-view.h:

	Add api to show a context menu. Useful to make distinction
	between key and mouse events.

	* src/bookmarks/ephy-bookmarks-editor.c:
	(ephy_bookmarks_editor_show_popup_cb),
	(keyword_node_show_popup_cb):
	* src/ephy-history-window.c: (ephy_history_window_show_popup_cb):

	Use it. Fix #152431

2004-09-13  Marco Pesenti Gritti  <marco@gnome.org>

	* lib/ephy-guy.c:
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/ephy-history-window.c:

	Better positioning of context menus for treeviews.
	Fix #152431

2004-09-13  Adam Hooper  <adamh@cvs.gnome.org>

	* data/Makefile.am:
	* data/epiphany-extension.xsd:

	Added (proposed) XML schema for Extension metadata files (work in
	progress).

2004-09-13  Adam Hooper  <adamh@cvs.gnome.org>

	* data/epiphany.schemas.in:
	* doc/reference/Makefile.am:
	* doc/reference/epiphany-docs.sgml:
	* doc/reference/epiphany-sections.txt:
	* doc/reference/epiphany.types:
	* doc/reference/tmpl/ephy-embed-factory.sgml:
	* doc/reference/tmpl/ephy-embed.sgml:
	* doc/reference/tmpl/ephy-extensions-manager.sgml:
	* doc/reference/tmpl/ephy-shell.sgml:
	* doc/reference/tmpl/ephy-window.sgml:
	* doc/reference/tmpl/epiphany-unused.sgml:
	* lib/ephy-module-loader.c: (ephy_module_loader_new),
	(ephy_module_loader_load), (ephy_module_loader_unload),
	(ephy_module_loader_get_path):
	* lib/ephy-module-loader.h:
	* src/ephy-extensions-manager.c: (free_ext_info),
	(windows_foreach), (attach_window), (detach_window),
	(instantiate_extension), (real_load),
	(ephy_extensions_manager_load), (real_unload),
	(ephy_extensions_manager_unload), (ephy_extensions_manager_add),
	(sync_one_extension), (ephy_extensions_manager_sync_gconf),
	(ephy_extensions_manager_load_file),
	(ephy_extensions_manager_load_dir), (active_extensions_notifier),
	(ephy_extensions_manager_init), (ephy_extensions_manager_finalize),
	(attach_window_to_info), (impl_attach_window),
	(detach_window_from_info), (impl_detach_window):
	* src/ephy-extensions-manager.h:
	* src/ephy-shell.c: (ephy_shell_get_extensions_manager):

	Load/unload extensions based on GConf key
	/apps/epiphany/general/active_extensions.

	Update documentation a bit (i.e., make sure it actually builds).

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* data/art/epiphany-entry.png:
	* src/bookmarks/ephy-bookmarks-menu.c:
	(ephy_bookmarks_menu_set_window):
	* src/bookmarks/ephy-bookmarksbar.c:
	(ephy_bookmarksbar_set_window):
	* src/bookmarks/ephy-favorites-menu.c: (ephy_favorites_menu_clean),
	(ephy_favorites_menu_rebuild):
	* src/ephy-encoding-menu.c: (ephy_encoding_menu_set_window):
	* src/ephy-tabs-menu.c: (ephy_tabs_menu_set_window),
	(ephy_tabs_menu_clean), (ephy_tabs_menu_update):
	* src/ephy-window.c: (add_widget), (sync_chromes_visibility),
	(ephy_window_key_press_event), (init_menu_updaters),
	(setup_ui_manager), (show_embed_popup), (ephy_window_init),
	(ephy_window_finalize), (ephy_window_set_print_preview),
	(ephy_window_get_ui_manager):
	* src/ephy-window.h:
	* src/ppview-toolbar.c: (ppview_toolbar_set_window):
	* src/toolbar.c: (toolbar_set_window), (toolbar_new):
	* src/window-commands.c: (window_cmd_edit_toolbar):

	Add ephy_window_get_ui_manager(), and remove the manager
	from the public EphyWindow struct.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:

	Add ChangeLog-20040912 to EXTRA_DIST.

2004-09-13  Christian Persch  <chpe@cvs.gnome.org>

	Merging pre-gnome-2-10 branch to HEAD.

	Splitting ChangeLog.
